<div class="container-fluid">
	<%= _.template($('#input_constructor').html())({
		id: "service",
		description: tr("Service"),
		default_selector: "string",
		variants: [
			{value: "sms-activate.org", description: tr("Ex sms-activate.ru")},
			"smshub.org",
			"5sim.net",
			{value: "onlinesim.io", description: tr("Ex onlinesim.ru")},
			{value: "smsak.org", description: tr("Ex sms-acktiwator.ru")},
			"sms-reg.com",
			{value: "vak-sms.ru", description: tr("Ex vak-sms.com")},
			"give-sms.com",
			"getsms.online",
			"sms-man.ru",
			{value: "cheapsms.io", description: tr("Ex cheapsms.ru")},
			{value: "smscode.me", description: tr("Ex sms.kopeechka.store")},
			{value: "365sms.org", description: tr("Ex 365sms.ru")},
			"smspva.com",
			"simsms.org"
		],
		disable_int: true,
		value_string: "sms-activate.org",
		help: {
			description: tr("Service for receiving SMS, from which need to get a phone number."),
			examples: [
				{code: "sms-activate.org", description: "https://sms-activate.org"},
				{code: "smshub.org", description: "https://smshub.org"},
				{code: "sms-reg.com", description: "https://sms-reg.com"}
			]
		}
	}) %>
	<%= _.template($('#input_constructor').html())({
		id: "apiKey",
		description: tr("API key"),
		default_selector: "string",
		disable_int: true,
		value_string: "",
		help: {
			description: tr("API key of the SMS receiving service. The key for the service selected in the \"Service\" parameter. Depending on the service, you can get it in your personal account or in the service settings."),
			examples: [
				{code: "8b1a9953c4611296a827abf8c47804d7"},
				{code: "79916U5718g2266a7bff7fad356c6cb280b3ea"},
				{code: "f4d559ba78aa6c4701c1995ae9977c03"}
			]
		}
	}) %>
	<%= _.template($('#combobox').html())({id: "site", title: tr("Site"), search: true, items: [
			{value: "Other", selected: true, name: tr("Other"), title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, smscode, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "1and1", name: "1and1", title: "sms-activate, smshub, 365sms"},
			{value: "1Cupis", name: "1Cupis", title: "cheapsms, sms-reg, onlinesim, vak-sms"},
			{value: "1mg", name: "1mg", title: "5sim, onlinesim"},
			{value: "1xBet", name: "1xBet", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "2domains", name: "2domains", title: "onlinesim, vak-sms"},
			{value: "4Fun", name: "4Fun", title: "sms-activate, smshub, 365sms, sms-acktiwator, vak-sms, give-sms"},
			{value: "4game", name: "4game", title: "onlinesim, sms-acktiwator"},
			{value: "23red", name: "23red", title: "smshub, 5sim, 365sms, give-sms"},
			{value: "24betting", name: "24betting", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "24u", name: "24u", title: "5sim, onlinesim, vak-sms"},
			{value: "32red", name: "32red", title: "sms-activate, 5sim, onlinesim, vak-sms"},
			{value: "99acres", name: "99acres", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "99app", name: "99app", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "99k Outlet", name: "99k Outlet", title: "sms-activate, smshub, 365sms"},
			{value: "150bar", name: "150bar", title: "onlinesim, vak-sms"},
			{value: "163.com", name: "163.com", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "888casino", name: "888casino", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "1688", name: "1688", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, vak-sms, give-sms"},
			{value: "A9A", name: "A9A", title: "sms-activate, smshub"},
			{value: "A23", name: "A23", title: "sms-activate, smshub, 365sms"},
			{value: "Abbott", name: "Abbott", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Ace2Three", name: "Ace2Three", title: "sms-activate, smshub, 5sim, 365sms, vak-sms, give-sms"},
			{value: "Acko", name: "Acko", title: "sms-activate, smshub, 365sms"},
			{value: "AdaKami", name: "AdaKami", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Adani", name: "Adani", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "adda52", name: "adda52", title: "5sim, onlinesim"},
			{value: "Adidas", name: "Adidas", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Adverts", name: "Adverts", title: "sms-activate, smshub, 365sms"},
			{value: "AfreecaTV", name: "AfreecaTV", title: "sms-activate, smshub, 365sms"},
			{value: "AGIBANK", name: "AGIBANK", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "AgriDevelop", name: "AgriDevelop", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Agroinform", name: "Agroinform", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Airbnb", name: "Airbnb", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Airtel", name: "Airtel", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Airtime", name: "Airtime", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "AIS", name: "AIS", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Aitu", name: "Aitu", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-acktiwator, give-sms"},
			{value: "Akelni", name: "Akelni", title: "5sim, onlinesim"},
			{value: "Akudo", name: "Akudo", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Akulaku", name: "Akulaku", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Alchemy", name: "Alchemy", title: "sms-activate, smshub, 365sms"},
			{value: "Alfa", name: "Alfa", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Alfagift", name: "Alfagift", title: "sms-activate, smshub, 365sms, sms-acktiwator, vak-sms, give-sms"},
			{value: "AlfaStrah", name: "AlfaStrah", title: "sms-reg, onlinesim"},
			{value: "Algida", name: "Algida", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Alibaba", name: "Alibaba", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Aliexpress", name: "Aliexpress", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "AliPay", name: "AliPay", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "All Access", name: "All Access", title: "sms-activate, smshub, 365sms"},
			{value: "Allegro", name: "Allegro", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "AlloBank", name: "AlloBank", title: "sms-activate, smshub, 365sms"},
			{value: "Allofresh", name: "Allofresh", title: "sms-activate, smshub, 365sms"},
			{value: "Amasia", name: "Amasia", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Amazon", name: "Amazon", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, smscode, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Ame Digital", name: "Ame Digital", title: "sms-activate, smshub, 365sms"},
			{value: "Amway", name: "Amway", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Angel One", name: "Angel One", title: "sms-activate, smshub, 365sms"},
			{value: "Anibis", name: "Anibis", title: "sms-activate, smshub, 365sms"},
			{value: "Ankama", name: "Ankama", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Aol", name: "Aol", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "ApostaGanha", name: "ApostaGanha", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Appbonus", name: "Appbonus", title: "onlinesim, sms-acktiwator"},
			{value: "Apple", name: "Apple", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, smscode, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Apteka.ru", name: "Apteka.ru", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, onlinesim, give-sms"},
			{value: "AptekiPlus", name: "AptekiPlus", title: "sms-activate, smshub, onlinesim"},
			{value: "AR Lens", name: "AR Lens", title: "sms-activate, smshub, 365sms"},
			{value: "ArenaPlus", name: "ArenaPlus", title: "sms-activate, smshub, 365sms"},
			{value: "Argent", name: "Argent", title: "sms-activate, smshub, 365sms"},
			{value: "Asda", name: "Asda", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "AsiaMiles", name: "AsiaMiles", title: "sms-activate, smshub, 365sms"},
			{value: "Astra Otoshop", name: "Astra Otoshop", title: "sms-activate, smshub, 365sms"},
			{value: "AstraPay", name: "AstraPay", title: "sms-activate, smshub, 365sms"},
			{value: "Astropay", name: "Astropay", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "AUBANK", name: "AUBANK", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Auchan", name: "Auchan", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "Author24", name: "Author24", title: "sms-activate, smshub"},
			{value: "Auto.ru", name: "Auto.ru", title: "sms-activate, smshub, 365sms, onlinesim, sms-acktiwator"},
			{value: "av100pro", name: "av100pro", title: "sms-activate, smshub, 365sms"},
			{value: "Avito", name: "Avito", title: "sms-activate, smshub, 5sim, getsms, 365sms, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "AVON", name: "AVON", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, onlinesim, sms-acktiwator, give-sms"},
			{value: "Aya Bank", name: "Aya Bank", title: "sms-activate, smshub, 365sms"},
			{value: "azar", name: "azar", title: "5sim, onlinesim"},
			{value: "Azino777", name: "Azino777", title: "5sim, onlinesim, sms-acktiwator"},
			{value: "Azino888", name: "Azino888", title: "5sim, onlinesim, sms-acktiwator"},
			{value: "Azsirbis", name: "Azsirbis", title: "onlinesim, vak-sms"},
			{value: "Badoo", name: "Badoo", title: "sms-activate, smshub, 365sms, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms"},
			{value: "Baidu", name: "Baidu", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "Baihe", name: "Baihe", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Bajaj Finserv", name: "Bajaj Finserv", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "Band", name: "Band", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Bankera", name: "Bankera", title: "sms-activate, smshub, 365sms"},
			{value: "Banki.ru", name: "Banki.ru", title: "5sim, onlinesim, vak-sms"},
			{value: "BankKaro", name: "BankKaro", title: "sms-activate, smshub, 365sms"},
			{value: "Banks", name: "Banks", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Banqi", name: "Banqi", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "Banrisul", name: "Banrisul", title: "sms-activate, smshub, 365sms"},
			{value: "Bazos", name: "Bazos", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "BC Game", name: "BC Game", title: "sms-activate, smshub, 365sms"},
			{value: "BCA Syariah", name: "BCA Syariah", title: "sms-activate, smshub, 365sms"},
			{value: "Bearwww", name: "Bearwww", title: "sms-activate, smshub, 365sms"},
			{value: "Bebeclub", name: "Bebeclub", title: "sms-activate, smshub, 365sms"},
			{value: "beboo", name: "beboo", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "BeeBoo", name: "BeeBoo", title: "sms-activate, smshub, 365sms"},
			{value: "Beget", name: "Beget", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, smspva, onlinesim, sms-acktiwator"},
			{value: "Belwest", name: "Belwest", title: "sms-activate, smshub, 365sms"},
			{value: "Benzuber", name: "Benzuber", title: "cheapsms, onlinesim"},
			{value: "BeReal", name: "BeReal", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "bet365", name: "bet365", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, vak-sms"},
			{value: "Betano", name: "Betano", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "BetBoom", name: "BetBoom", title: "sms-reg, onlinesim"},
			{value: "BetFair", name: "BetFair", title: "sms-activate, smshub, 5sim, 365sms, smspva, sms-acktiwator, give-sms"},
			{value: "Betting", name: "Betting", title: "sms-activate, smshub, getsms, 365sms, sms-acktiwator, give-sms"},
			{value: "betvet", name: "betvet", title: "5sim, onlinesim"},
			{value: "BharatPe", name: "BharatPe", title: "sms-activate, smshub, 365sms"},
			{value: "Biedronka", name: "Biedronka", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "bigbasket", name: "bigbasket", title: "5sim, onlinesim"},
			{value: "BigC", name: "BigC", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "BIGLION", name: "BIGLION", title: "onlinesim, vak-sms"},
			{value: "BIGO LIVE", name: "BIGO LIVE", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Bilibili", name: "Bilibili", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "BillMill", name: "BillMill", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Binance", name: "Binance", title: "sms-reg, onlinesim"},
			{value: "BinBin", name: "BinBin", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "BIP Messenger", name: "BIP Messenger", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Bisu", name: "Bisu", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Bit", name: "Bit", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Bitaqaty", name: "Bitaqaty", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "BitClout", name: "BitClout", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "Bitrue", name: "Bitrue", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Bitso", name: "Bitso", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "bittube", name: "bittube", title: "5sim, sms-acktiwator"},
			{value: "BlaBlaCar", name: "BlaBlaCar", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Blank Street", name: "Blank Street", title: "sms-activate, smshub, 365sms"},
			{value: "BLIBLI", name: "BLIBLI", title: "sms-activate, smshub, 365sms, vak-sms, give-sms"},
			{value: "Blizzard", name: "Blizzard", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Blockchain", name: "Blockchain", title: "5sim, cheapsms, onlinesim, sms-acktiwator, vak-sms"},
			{value: "BLS-SPAIN", name: "BLS-SPAIN", title: "sms-activate, smshub, sms-reg, smspva"},
			{value: "Blued", name: "Blued", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "boku", name: "boku", title: "sms-activate, smshub, 365sms"},
			{value: "Bolt", name: "Bolt", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "BonusLink", name: "BonusLink", title: "sms-activate, smshub, 365sms"},
			{value: "Book My Play", name: "Book My Play", title: "sms-activate, smshub, 365sms"},
			{value: "Book24", name: "Book24", title: "cheapsms, onlinesim, vak-sms"},
			{value: "Boosty", name: "Boosty", title: "sms-activate, smshub, 365sms"},
			{value: "Boyaa", name: "Boyaa", title: "sms-activate, smshub, 365sms"},
			{value: "BPJS", name: "BPJS", title: "sms-activate, smshub, 365sms"},
			{value: "BPJSTK", name: "BPJSTK", title: "sms-activate, smshub, 365sms"},
			{value: "Br777", name: "Br777", title: "sms-activate, smshub, 365sms"},
			{value: "Brahma", name: "Brahma", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Brand20.ua", name: "Brand20.ua", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Brevo", name: "Brevo", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "BRO", name: "BRO", title: "sms-activate, smshub, 365sms"},
			{value: "budget4me-34", name: "budget4me-34", title: "sms-activate, smshub, onlinesim, vak-sms"},
			{value: "Budweiser", name: "Budweiser", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Buff.163", name: "Buff.163", title: "onlinesim, vak-sms"},
			{value: "Bukalapak", name: "Bukalapak", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Bumble", name: "Bumble", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Bunda", name: "Bunda", title: "sms-activate, smshub, 365sms"},
			{value: "Bunq", name: "Bunq", title: "sms-activate, smshub, 365sms"},
			{value: "Burger King", name: "Burger King", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "BusyFly", name: "BusyFly", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "ByBit", name: "ByBit", title: "sms-reg, onlinesim"},
			{value: "Bykea", name: "Bykea", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "BytePlus", name: "BytePlus", title: "sms-activate, smshub, 365sms"},
			{value: "C6 Bank", name: "C6 Bank", title: "sms-activate, smshub, 365sms"},
			{value: "Cabify", name: "Cabify", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "CafeBazaar", name: "CafeBazaar", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "CAIXA", name: "CAIXA", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "CallApp", name: "CallApp", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Careem", name: "Careem", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Carousell", name: "Carousell", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "CashApp", name: "CashApp", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "CashFly", name: "CashFly", title: "sms-activate, smshub, 365sms, sms-man, onlinesim, give-sms"},
			{value: "CashKaro", name: "CashKaro", title: "sms-activate, smshub, 5sim, 365sms, sms-man"},
			{value: "Cashmine", name: "Cashmine", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "Casino/bet/gambling", name: "Casino/bet/gambling", title: "sms-activate, smshub, 365sms"},
			{value: "CasinoAndFriends", name: "CasinoAndFriends", title: "sms-activate, smshub, 365sms"},
			{value: "CasinoPlus", name: "CasinoPlus", title: "sms-activate, smshub, 365sms"},
			{value: "Cathay", name: "Cathay", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "CDEK", name: "CDEK", title: "sms-activate, smshub, 365sms, vak-sms"},
			{value: "CDKeys", name: "CDKeys", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Celcoin", name: "Celcoin", title: "sms-activate, smshub, 365sms"},
			{value: "CELEBe", name: "CELEBe", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Centrify", name: "Centrify", title: "cheapsms, onlinesim"},
			{value: "ChaingeFinance", name: "ChaingeFinance", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Chakra Rewards", name: "Chakra Rewards", title: "sms-activate, smshub, 365sms"},
			{value: "CheckDomain", name: "CheckDomain", title: "sms-activate, smshub, 365sms"},
			{value: "checkin", name: "checkin", title: "onlinesim, vak-sms"},
			{value: "Chevron", name: "Chevron", title: "sms-activate, smshub, 365sms"},
			{value: "Chispa", name: "Chispa", title: "sms-activate, smshub, 365sms"},
			{value: "ChitaiGorod", name: "ChitaiGorod", title: "5sim, onlinesim, vak-sms"},
			{value: "Cian", name: "Cian", title: "sms-activate, smshub, 5sim, 365sms, vak-sms"},
			{value: "Cita Previa", name: "Cita Previa", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Citilink", name: "Citilink", title: "onlinesim, vak-sms"},
			{value: "CityBase", name: "CityBase", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "CityMall", name: "CityMall", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "CityMobil", name: "CityMobil", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "ClassicRummy", name: "ClassicRummy", title: "5sim, onlinesim"},
			{value: "Claude", name: "Claude", title: "sms-activate, smshub, 365sms, onlinesim, vak-sms"},
			{value: "Cleartrip", name: "Cleartrip", title: "sms-activate, smshub, 5sim, 365sms, sms-man"},
			{value: "CliQQ", name: "CliQQ", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Cloud Manager", name: "Cloud Manager", title: "sms-activate, smshub, 365sms"},
			{value: "CloudBet", name: "CloudBet", title: "sms-activate, smshub, 365sms"},
			{value: "CloudChat", name: "CloudChat", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "Clubhouse", name: "Clubhouse", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "CMB", name: "CMB", title: "sms-activate, smshub, 365sms"},
			{value: "CMTcuzdan", name: "CMTcuzdan", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Coca-Cola", name: "Coca-Cola", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "Codashop", name: "Codashop", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "CoffeeLike", name: "CoffeeLike", title: "sms-activate, smshub, 365sms"},
			{value: "CoffeeTea", name: "CoffeeTea", title: "sms-activate, smshub, 365sms"},
			{value: "Cofix", name: "Cofix", title: "onlinesim, vak-sms"},
			{value: "CoinBase", name: "CoinBase", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Coindcx", name: "Coindcx", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "CoinField", name: "CoinField", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "CollabAct", name: "CollabAct", title: "sms-activate, smshub, 365sms"},
			{value: "CommunityGaming", name: "CommunityGaming", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "constitutioner", name: "constitutioner", title: "sms-activate, smshub, 365sms"},
			{value: "Consultant", name: "Consultant", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "CONTACT", name: "CONTACT", title: "cheapsms, smspva"},
			{value: "ContactSys", name: "ContactSys", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Corona", name: "Corona", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Coupons.com", name: "Coupons.com", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "CourseHero", name: "CourseHero", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Craigslist", name: "Craigslist", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Credcesta", name: "Credcesta", title: "sms-activate, smshub, 365sms"},
			{value: "CreditPlus", name: "CreditPlus", title: "cheapsms, onlinesim"},
			{value: "CrefisaMais", name: "CrefisaMais", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Crickpe", name: "Crickpe", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "Crowdtap", name: "Crowdtap", title: "sms-activate, smshub, 365sms"},
			{value: "Crypto.com", name: "Crypto.com", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, onlinesim, vak-sms, give-sms"},
			{value: "CStar", name: "CStar", title: "onlinesim, vak-sms"},
			{value: "Cumbuca", name: "Cumbuca", title: "sms-activate, smshub, 365sms"},
			{value: "CupidMedia", name: "CupidMedia", title: "sms-activate, smshub, 365sms, smspva"},
			{value: "D5BET", name: "D5BET", title: "sms-activate, smshub, 365sms"},
			{value: "Dagangan", name: "Dagangan", title: "sms-activate, smshub, 365sms"},
			{value: "dahadaha", name: "dahadaha", title: "5sim, onlinesim"},
			{value: "Daki", name: "Daki", title: "sms-activate, smshub, 365sms"},
			{value: "Damejidlo", name: "Damejidlo", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Dana", name: "Dana", title: "sms-activate, smshub, 365sms, vak-sms, give-sms"},
			{value: "Daya Auto", name: "Daya Auto", title: "sms-activate, smshub, 365sms"},
			{value: "dbrUA", name: "dbrUA", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "DealShare", name: "DealShare", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Delimobil", name: "Delimobil", title: "sms-reg, onlinesim"},
			{value: "Deliveroo", name: "Deliveroo", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Delivery Club", name: "Delivery Club", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, sms-acktiwator, give-sms"},
			{value: "Dent", name: "Dent", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Depop", name: "Depop", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "DetskiyMir", name: "DetskiyMir", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, onlinesim, give-sms"},
			{value: "DewuPoison", name: "DewuPoison", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Dhani", name: "Dhani", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "DiDi", name: "DiDi", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Digikala", name: "Digikala", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "DIKIDI", name: "DIKIDI", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Discord", name: "Discord", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Discover Hong Kong", name: "Discover Hong Kong", title: "sms-activate, smshub, 365sms"},
			{value: "Disney Hotstar", name: "Disney Hotstar", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Divar", name: "Divar", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Dixy", name: "Dixy", title: "5sim, onlinesim, vak-sms"},
			{value: "DodoPizza", name: "DodoPizza", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, smspva, onlinesim, vak-sms, give-sms"},
			{value: "DOKU", name: "DOKU", title: "sms-activate, smshub, 365sms"},
			{value: "Dominos Pizza", name: "Dominos Pizza", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, vak-sms, give-sms"},
			{value: "DoneDeal", name: "DoneDeal", title: "sms-activate, smshub, 365sms"},
			{value: "DoorDash", name: "DoorDash", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Dosi", name: "Dosi", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Dostavista", name: "Dostavista", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Dotz", name: "Dotz", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Douyin", name: "Douyin", title: "sms-activate, smshub, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "Douyu", name: "Douyu", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Dream11", name: "Dream11", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Drom.ru", name: "Drom.ru", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "DrugVokrug", name: "DrugVokrug", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Dukascopy", name: "Dukascopy", title: "5sim, onlinesim, sms-acktiwator"},
			{value: "Dundle", name: "Dundle", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, vak-sms, give-sms"},
			{value: "dunzo", name: "dunzo", title: "5sim, onlinesim"},
			{value: "E bike Gewinnspiel", name: "E bike Gewinnspiel", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "E-NUM", name: "E-NUM", title: "smspva, onlinesim"},
			{value: "EAPTEKA", name: "EAPTEKA", title: "sms-reg, onlinesim"},
			{value: "EarnEasy", name: "EarnEasy", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "Easycash", name: "Easycash", title: "sms-activate, smshub, 365sms"},
			{value: "EasyPay", name: "EasyPay", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "eBay", name: "eBay", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "eFood", name: "eFood", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Ekapusta", name: "Ekapusta", title: "cheapsms, sms-reg, onlinesim"},
			{value: "ELDORADO", name: "ELDORADO", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "Electroneum", name: "Electroneum", title: "5sim, onlinesim"},
			{value: "Eneba", name: "Eneba", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "EnerGO", name: "EnerGO", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "EscapeFromTarkov", name: "EscapeFromTarkov", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Etsy", name: "Etsy", title: "sms-activate, smshub, 365sms, onlinesim, sms-acktiwator"},
			{value: "EUROBET", name: "EUROBET", title: "smspva, onlinesim"},
			{value: "eWallet", name: "eWallet", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Expressmoney", name: "Expressmoney", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Eyecon", name: "Eyecon", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "ezBuy", name: "ezBuy", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "Faberlic", name: "Faberlic", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, onlinesim, sms-acktiwator, give-sms"},
			{value: "Facebook", name: "Facebook", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, smscode, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "FACEIT", name: "FACEIT", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, onlinesim, vak-sms, give-sms"},
			{value: "Facily", name: "Facily", title: "sms-activate, smshub, 365sms"},
			{value: "Familia", name: "Familia", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "farmcare", name: "farmcare", title: "5sim, onlinesim"},
			{value: "FarPost", name: "FarPost", title: "sms-activate, smshub, 365sms, sms-acktiwator, vak-sms"},
			{value: "FastMail", name: "FastMail", title: "sms-activate, smshub, 365sms, smspva, give-sms"},
			{value: "Feeld", name: "Feeld", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim"},
			{value: "Feels", name: "Feels", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "FeetFinder", name: "FeetFinder", title: "sms-activate, smshub, 365sms"},
			{value: "fiewin", name: "fiewin", title: "5sim, onlinesim"},
			{value: "Fiqsy", name: "Fiqsy", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "FitCredit", name: "FitCredit", title: "sms-activate, smshub, 365sms"},
			{value: "Fiverr", name: "Fiverr", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "flam", name: "flam", title: "5sim, onlinesim"},
			{value: "Fliff", name: "Fliff", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "Flik", name: "Flik", title: "sms-activate, smshub, 365sms"},
			{value: "Flink", name: "Flink", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Flip", name: "Flip", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "Flipkart", name: "Flipkart", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Flowwow", name: "Flowwow", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "flypgs", name: "flypgs", title: "5sim, onlinesim"},
			{value: "Fon.bet", name: "Fon.bet", title: "sms-reg, smspva, onlinesim"},
			{value: "FoodHub", name: "FoodHub", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "Foodora", name: "Foodora", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator"},
			{value: "FoodPanda", name: "FoodPanda", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Foody", name: "Foody", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Fora", name: "Fora", title: "sms-activate, smshub, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Fortumo", name: "Fortumo", title: "sms-activate, smshub, 365sms"},
			{value: "FortunaSK", name: "FortunaSK", title: "sms-activate, smshub, 365sms"},
			{value: "Fortune Slots", name: "Fortune Slots", title: "sms-activate, smshub, 365sms"},
			{value: "Fotka", name: "Fotka", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "FotoCasa", name: "FotoCasa", title: "sms-activate, smshub, 365sms"},
			{value: "Fotostrana", name: "Fotostrana", title: "sms-activate, smshub, cheapsms, 365sms, sms-reg, smspva, onlinesim, sms-acktiwator"},
			{value: "FoxFord", name: "FoxFord", title: "sms-activate, smshub, 365sms"},
			{value: "Foxtrot", name: "Foxtrot", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "Freecash", name: "Freecash", title: "onlinesim, vak-sms"},
			{value: "FreeChargeApp", name: "FreeChargeApp", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Freelancer", name: "Freelancer", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "FreeNow", name: "FreeNow", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "FreshKarta", name: "FreshKarta", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Friendtech", name: "Friendtech", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "Frizza", name: "Frizza", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "Fruitz", name: "Fruitz", title: "sms-activate, smshub, 365sms"},
			{value: "ftx.com", name: "ftx.com", title: "onlinesim, vak-sms"},
			{value: "Fugeelah", name: "Fugeelah", title: "sms-activate, smshub, 365sms"},
			{value: "fun88", name: "fun88", title: "5sim, onlinesim"},
			{value: "FunPay", name: "FunPay", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim"},
			{value: "Fups", name: "Fups", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "FWDMAX", name: "FWDMAX", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "G2A", name: "G2A", title: "sms-activate, smshub, 365sms, smspva, onlinesim, sms-acktiwator"},
			{value: "G2G", name: "G2G", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "Gabi", name: "Gabi", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "GalaxyChat", name: "GalaxyChat", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "GalaxyWin", name: "GalaxyWin", title: "sms-activate, smshub, 5sim, give-sms"},
			{value: "GameArena", name: "GameArena", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "GameFlip", name: "GameFlip", title: "5sim, smspva, onlinesim, sms-acktiwator"},
			{value: "Gamekit", name: "Gamekit", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Gamer", name: "Gamer", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Gamesofa", name: "Gamesofa", title: "sms-activate, smshub, 365sms"},
			{value: "gamezy", name: "gamezy", title: "5sim, onlinesim"},
			{value: "Gazprom", name: "Gazprom", title: "5sim, cheapsms, onlinesim, vak-sms"},
			{value: "GCash", name: "GCash", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "Gem4me", name: "Gem4me", title: "onlinesim, sms-acktiwator"},
			{value: "Gemgala", name: "Gemgala", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Gemini.com", name: "Gemini.com", title: "5sim, onlinesim"},
			{value: "Gener8", name: "Gener8", title: "sms-activate, smshub, 365sms"},
			{value: "Getcontact", name: "Getcontact", title: "onlinesim, vak-sms"},
			{value: "Getir", name: "Getir", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Getmega", name: "Getmega", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "GetNinjas", name: "GetNinjas", title: "sms-activate, smshub, 365sms"},
			{value: "GetPlus", name: "GetPlus", title: "sms-activate, smshub, 365sms"},
			{value: "GetResponse", name: "GetResponse", title: "sms-activate, smshub, 365sms, onlinesim, sms-acktiwator"},
			{value: "Gett", name: "Gett", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "GG", name: "GG", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "GGbet", name: "GGbet", title: "smspva, onlinesim"},
			{value: "Giftcloud", name: "Giftcloud", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "GiraBank", name: "GiraBank", title: "sms-activate, smshub, 365sms"},
			{value: "Gittigidiyor", name: "Gittigidiyor", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Global24", name: "Global24", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "GlobalTel", name: "GlobalTel", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Globus", name: "Globus", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Glovo", name: "Glovo", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "GlowRoad", name: "GlowRoad", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "GMNG", name: "GMNG", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "GMX", name: "GMX", title: "sms-activate, smshub, 365sms"},
			{value: "GoChat", name: "GoChat", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Godrej", name: "Godrej", title: "sms-activate, smshub, 365sms"},
			{value: "GoerliFaucet", name: "GoerliFaucet", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "GoFundMe", name: "GoFundMe", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "GoGo", name: "GoGo", title: "onlinesim, sms-acktiwator"},
			{value: "Gojek", name: "Gojek", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "GOMOFY", name: "GOMOFY", title: "sms-activate, smshub, 365sms"},
			{value: "Goods", name: "Goods", title: "5sim, smspva, onlinesim, sms-acktiwator"},
			{value: "Google", name: "Google", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "GoogleVoice", name: "GoogleVoice", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "GoPayz", name: "GoPayz", title: "sms-activate, smshub, 365sms"},
			{value: "Gopuff", name: "Gopuff", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "GORDAN", name: "GORDAN", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Gorzdrav", name: "Gorzdrav", title: "onlinesim, sms-acktiwator"},
			{value: "Gosuslugi", name: "Gosuslugi", title: "sms-reg, onlinesim"},
			{value: "GovBr", name: "GovBr", title: "sms-activate, smshub, 365sms"},
			{value: "gpnbonus", name: "gpnbonus", title: "sms-activate, smshub, cheapsms, 365sms"},
			{value: "Grab", name: "Grab", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Grailed", name: "Grailed", title: "sms-activate, smshub, 365sms, smspva, onlinesim"},
			{value: "Greggs", name: "Greggs", title: "sms-activate, smshub, 365sms, onlinesim, vak-sms"},
			{value: "Greywoods", name: "Greywoods", title: "sms-activate, smshub, 365sms"},
			{value: "Grindr", name: "Grindr", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Grofers", name: "Grofers", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "GroupMe", name: "GroupMe", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Guiche Web", name: "Guiche Web", title: "sms-activate, smshub, 365sms"},
			{value: "GullyRummy", name: "GullyRummy", title: "5sim, onlinesim"},
			{value: "Gurmanika", name: "Gurmanika", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "GuruBets", name: "GuruBets", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "gusli.net", name: "gusli.net", title: "sms-reg, onlinesim"},
			{value: "GyFTR", name: "GyFTR", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Haleon", name: "Haleon", title: "sms-activate, smshub, 365sms"},
			{value: "hamrahaval", name: "hamrahaval", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "HandyPick", name: "HandyPick", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "Hanya", name: "Hanya", title: "sms-activate, smshub, 365sms"},
			{value: "Happn", name: "Happn", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "HappyFresh", name: "HappyFresh", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Haraj", name: "Haraj", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "hdfcbank", name: "hdfcbank", title: "sms-activate, smshub, 365sms"},
			{value: "Hepsiburada.com", name: "Hepsiburada.com", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Her", name: "Her", title: "sms-activate, smshub, 365sms"},
			{value: "Hermes", name: "Hermes", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "HeyBox", name: "HeyBox", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "Hezzl", name: "Hezzl", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "hh", name: "hh", title: "sms-activate, smshub, 365sms"},
			{value: "HH.ru", name: "HH.ru", title: "onlinesim, vak-sms"},
			{value: "Hily", name: "Hily", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "Hinge", name: "Hinge", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Hinge Dating", name: "Hinge Dating", title: "sms-activate, smshub, 365sms"},
			{value: "Hirect", name: "Hirect", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "Hoff", name: "Hoff", title: "onlinesim, vak-sms"},
			{value: "Hohoro", name: "Hohoro", title: "cheapsms, onlinesim"},
			{value: "HOP", name: "HOP", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Hopi", name: "Hopi", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "hopper", name: "hopper", title: "5sim, smspva"},
			{value: "Hotline", name: "Hotline", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Hotmail", name: "Hotmail", title: "5sim, sms-man"},
			{value: "HQ Trivia", name: "HQ Trivia", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "HUAWEI", name: "HUAWEI", title: "smspva, onlinesim"},
			{value: "HumbleBundle", name: "HumbleBundle", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Humta", name: "Humta", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "hungerstation", name: "hungerstation", title: "5sim, onlinesim"},
			{value: "Huya", name: "Huya", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, vak-sms, give-sms"},
			{value: "iCard", name: "iCard", title: "5sim, smspva, sms-acktiwator"},
			{value: "IceCasino", name: "IceCasino", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "ICNKR", name: "ICNKR", title: "sms-activate, smshub, 365sms"},
			{value: "ICQ", name: "ICQ", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, onlinesim, sms-acktiwator, give-sms"},
			{value: "Icrypex", name: "Icrypex", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Idealista", name: "Idealista", title: "sms-activate, smshub, 365sms, onlinesim, sms-acktiwator"},
			{value: "IFood", name: "IFood", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, give-sms"},
			{value: "ihc.ru", name: "ihc.ru", title: "onlinesim, sms-acktiwator"},
			{value: "iHerb", name: "iHerb", title: "sms-reg, onlinesim"},
			{value: "Immowelt", name: "Immowelt", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Imo", name: "Imo", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "inbox.lv", name: "inbox.lv", title: "smspva, onlinesim"},
			{value: "InboxLv", name: "InboxLv", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "IndiaGold", name: "IndiaGold", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "IndianOil", name: "IndianOil", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "IndiaPlays", name: "IndiaPlays", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "INDOBA", name: "INDOBA", title: "sms-activate, smshub, 365sms"},
			{value: "Indodax", name: "Indodax", title: "sms-activate, smshub, 365sms"},
			{value: "Indomaret", name: "Indomaret", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "inDriver", name: "inDriver", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, vak-sms, give-sms"},
			{value: "InFund", name: "InFund", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Ininal", name: "Ininal", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Instagram", name: "Instagram", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, smscode, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "InternetOpros", name: "InternetOpros", title: "onlinesim, vak-sms"},
			{value: "IOST", name: "IOST", title: "5sim, onlinesim, sms-acktiwator"},
			{value: "iPanelOnline", name: "iPanelOnline", title: "sms-activate, smshub, 365sms"},
			{value: "IPLwin", name: "IPLwin", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Ipsos iSay", name: "Ipsos iSay", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "iQIYI", name: "iQIYI", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "IQOS", name: "IQOS", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "irancell", name: "irancell", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "IRCTC", name: "IRCTC", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Iti", name: "Iti", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "IVI", name: "IVI", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, onlinesim, give-sms"},
			{value: "Iwplay", name: "Iwplay", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "IZI", name: "IZI", title: "sms-activate, smshub, getsms, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "JamesDelivery", name: "JamesDelivery", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "JD.com", name: "JD.com", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms"},
			{value: "Jiayuan", name: "Jiayuan", title: "onlinesim, sms-acktiwator"},
			{value: "JinJiang", name: "JinJiang", title: "sms-activate, smshub, 365sms"},
			{value: "JioMart", name: "JioMart", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "Jiva Petani", name: "Jiva Petani", title: "sms-activate, smshub, 365sms"},
			{value: "JKF", name: "JKF", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "JoGo", name: "JoGo", title: "sms-activate, smshub"},
			{value: "Jollychic", name: "Jollychic", title: "onlinesim, sms-acktiwator"},
			{value: "joymall", name: "joymall", title: "5sim, onlinesim"},
			{value: "Joyride", name: "Joyride", title: "sms-activate, smshub, 5sim, getsms, 365sms, give-sms"},
			{value: "JTExpress", name: "JTExpress", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "JungleeRummy", name: "JungleeRummy", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "JustDating", name: "JustDating", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "K11", name: "K11", title: "sms-activate, smshub, 365sms"},
			{value: "Kabanchik.ua", name: "Kabanchik.ua", title: "onlinesim, sms-acktiwator"},
			{value: "Kaching", name: "Kaching", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "Kaggle", name: "Kaggle", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "kaidee", name: "kaidee", title: "5sim, sms-man"},
			{value: "KakaoTalk", name: "KakaoTalk", title: "sms-activate, smshub, 5sim, getsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Kamatera", name: "Kamatera", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "Karusel", name: "Karusel", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Kaya", name: "Kaya", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "kazandirio", name: "kazandirio", title: "5sim, onlinesim"},
			{value: "KazanExpress", name: "KazanExpress", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, onlinesim, vak-sms, give-sms"},
			{value: "Kemnaker RI", name: "Kemnaker RI", title: "sms-activate, smshub, 365sms"},
			{value: "Keybase", name: "Keybase", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "KeyPay", name: "KeyPay", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "KFC", name: "KFC", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, sms-acktiwator, vak-sms, give-sms"},
			{value: "Khatabook", name: "Khatabook", title: "sms-activate, smshub, 365sms"},
			{value: "khelraja", name: "khelraja", title: "5sim, onlinesim"},
			{value: "Kia", name: "Kia", title: "sms-activate, smshub, 365sms"},
			{value: "KION", name: "KION", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Kirana", name: "Kirana", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "kisma", name: "kisma", title: "5sim, onlinesim"},
			{value: "Klarna", name: "Klarna", title: "sms-activate, smshub, 365sms, smspva, onlinesim"},
			{value: "Kolesa.kz", name: "Kolesa.kz", title: "sms-activate, smshub, 365sms, sms-man, sms-reg, onlinesim, give-sms"},
			{value: "komandacard", name: "komandacard", title: "5sim, sms-acktiwator"},
			{value: "koo", name: "koo", title: "5sim, onlinesim"},
			{value: "KoronaPay", name: "KoronaPay", title: "cheapsms, sms-reg, smspva"},
			{value: "Koshelek", name: "Koshelek", title: "sms-activate, smshub, onlinesim, vak-sms"},
			{value: "Kotak811", name: "Kotak811", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "KuCoinPlay", name: "KuCoinPlay", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Kufar.by", name: "Kufar.by", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Kvartplata+", name: "Kvartplata+", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "Kwai", name: "Kwai", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Kwork", name: "Kwork", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "LadyMaria", name: "LadyMaria", title: "sms-activate, smshub, 365sms"},
			{value: "Lalamove", name: "Lalamove", title: "sms-activate, smshub, 365sms, smspva, give-sms"},
			{value: "Lamoda", name: "Lamoda", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, onlinesim, vak-sms, give-sms"},
			{value: "laposte", name: "laposte", title: "5sim, smspva"},
			{value: "Lazada", name: "Lazada", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "LazyPay", name: "LazyPay", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "lbry", name: "lbry", title: "5sim, onlinesim"},
			{value: "LDinfo", name: "LDinfo", title: "onlinesim, sms-acktiwator"},
			{value: "Leboncoin", name: "Leboncoin", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, give-sms"},
			{value: "Leboncoin1", name: "Leboncoin1", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Lenta", name: "Lenta", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-reg, onlinesim, vak-sms, give-sms"},
			{value: "Letual", name: "Letual", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, onlinesim, vak-sms, give-sms"},
			{value: "Lianxin", name: "Lianxin", title: "5sim, onlinesim"},
			{value: "Lidl", name: "Lidl", title: "sms-activate, smshub, 365sms, sms-reg, onlinesim, sms-acktiwator, give-sms"},
			{value: "LigaPro", name: "LigaPro", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "LigaStavok", name: "LigaStavok", title: "sms-reg, onlinesim"},
			{value: "LightChat", name: "LightChat", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Likee", name: "Likee", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "LINE Messenger", name: "LINE Messenger", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "LinkAja", name: "LinkAja", title: "sms-activate, smshub, 365sms"},
			{value: "LinkedIN", name: "LinkedIN", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Lino.network", name: "Lino.network", title: "onlinesim, sms-acktiwator"},
			{value: "Linode", name: "Linode", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "Lion Parcel", name: "Lion Parcel", title: "sms-activate, smshub, 365sms"},
			{value: "litnet", name: "litnet", title: "onlinesim, vak-sms"},
			{value: "LiveScore", name: "LiveScore", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms"},
			{value: "Loanflix", name: "Loanflix", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "LocalBitcoins", name: "LocalBitcoins", title: "sms-reg, smspva, onlinesim"},
			{value: "LOCO", name: "LOCO", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "LongHu", name: "LongHu", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "LOTTE Mart", name: "LOTTE Mart", title: "sms-activate, smshub, 365sms"},
			{value: "Lotus", name: "Lotus", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "LoveLocal", name: "LoveLocal", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Loveplanet", name: "Loveplanet", title: "onlinesim, sms-acktiwator"},
			{value: "LoveRu", name: "LoveRu", title: "sms-activate, smshub, 365sms, onlinesim, vak-sms"},
			{value: "LuckyLand Slots", name: "LuckyLand Slots", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "Lukoil", name: "Lukoil", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Lydia", name: "Lydia", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Lyft", name: "Lyft", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "LYKA", name: "LYKA", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "MagaLu", name: "MagaLu", title: "sms-activate, smshub, 365sms"},
			{value: "Magicbricks", name: "Magicbricks", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Magicpin", name: "Magicpin", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "Magnit", name: "Magnit", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Magnolia", name: "Magnolia", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "Mail.ru", name: "Mail.ru", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Mail.ru Group", name: "Mail.ru Group", title: "sms-activate, smshub, smspva, sms-acktiwator, vak-sms, give-sms"},
			{value: "Mamba", name: "Mamba", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "MapleSEA", name: "MapleSEA", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "MarketGuru", name: "MarketGuru", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "MarketPapa", name: "MarketPapa", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Marktplaats", name: "Marktplaats", title: "sms-activate, smshub, 365sms, smspva, onlinesim"},
			{value: "Marlboro", name: "Marlboro", title: "sms-activate, smshub, cheapsms, 365sms, onlinesim, vak-sms"},
			{value: "Marwadi", name: "Marwadi", title: "sms-activate, smshub, 365sms"},
			{value: "Matbea.com", name: "Matbea.com", title: "sms-reg, onlinesim"},
			{value: "Maxim", name: "Maxim", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Maxis", name: "Maxis", title: "sms-activate, smshub, 365sms"},
			{value: "Maybank", name: "Maybank", title: "sms-activate, smshub, 365sms"},
			{value: "McDonalds", name: "McDonalds", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, sms-acktiwator, give-sms"},
			{value: "MediBuddy", name: "MediBuddy", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "Meesho", name: "Meesho", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "MeetMe", name: "MeetMe", title: "sms-activate, 5sim, getsms, sms-reg, onlinesim, sms-acktiwator, vak-sms"},
			{value: "MEGA", name: "MEGA", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Megogo", name: "Megogo", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "MeiQFashion", name: "MeiQFashion", title: "sms-activate, smshub, 365sms"},
			{value: "Meitu", name: "Meitu", title: "sms-activate, smshub, 365sms"},
			{value: "Meituan", name: "Meituan", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Meliuz", name: "Meliuz", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Mera Gaon", name: "Mera Gaon", title: "sms-activate, smshub, 365sms"},
			{value: "Mercado", name: "Mercado", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "Mercado Pago", name: "Mercado Pago", title: "sms-activate, smshub, 365sms"},
			{value: "Mercari", name: "Mercari", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "Meta", name: "Meta", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "METRO", name: "METRO", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Mewt", name: "Mewt", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "MiChat", name: "MiChat", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "MicroKlad", name: "MicroKlad", title: "cheapsms, onlinesim, sms-acktiwator"},
			{value: "Microsoft", name: "Microsoft", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, smscode, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Mihuashi", name: "Mihuashi", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "Miloan", name: "Miloan", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "minima", name: "minima", title: "5sim, onlinesim"},
			{value: "Miratorg", name: "Miratorg", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Miravia", name: "Miravia", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "MitID", name: "MitID", title: "sms-activate, smshub, 365sms"},
			{value: "MIXMART", name: "MIXMART", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "MIYACHAT", name: "MIYACHAT", title: "sms-activate, smshub, 365sms"},
			{value: "MobiKwik", name: "MobiKwik", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Mobile01", name: "Mobile01", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "MockGuru", name: "MockGuru", title: "sms-activate, smshub, 365sms"},
			{value: "Mocospace", name: "Mocospace", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "MOMO", name: "MOMO", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, give-sms"},
			{value: "Monese", name: "Monese", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "MonetaRu", name: "MonetaRu", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "MoneyLion", name: "MoneyLion", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, sms-acktiwator, give-sms"},
			{value: "MoneyPay", name: "MoneyPay", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "MoneyСontrol", name: "MoneyСontrol", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Monobank", name: "Monobank", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "MonobankIndia", name: "MonobankIndia", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "more", name: "more", title: "5sim, onlinesim"},
			{value: "Mos.ru", name: "Mos.ru", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "MotionPay", name: "MotionPay", title: "sms-activate, smshub, 365sms"},
			{value: "MotorkuX", name: "MotorkuX", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "Move It", name: "Move It", title: "sms-activate, smshub, 365sms"},
			{value: "MPL", name: "MPL", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "MrGreen", name: "MrGreen", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "MrQ", name: "MrQ", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "mrsool", name: "mrsool", title: "5sim, onlinesim"},
			{value: "MTR Mobile", name: "MTR Mobile", title: "sms-activate, smshub, 365sms"},
			{value: "MTS CashBack", name: "MTS CashBack", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Muzz", name: "Muzz", title: "sms-activate, smshub, 365sms"},
			{value: "MVideo", name: "MVideo", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-reg, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "My.Games", name: "My.Games", title: "5sim, onlinesim"},
			{value: "My11Circle", name: "My11Circle", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "MyACUVUE", name: "MyACUVUE", title: "sms-reg, onlinesim"},
			{value: "myata", name: "myata", title: "5sim, onlinesim"},
			{value: "mybeautybonus", name: "mybeautybonus", title: "onlinesim, vak-sms"},
			{value: "myboost", name: "myboost", title: "sms-activate, smshub, 365sms"},
			{value: "MyDailyCash", name: "MyDailyCash", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "MyFishka", name: "MyFishka", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "myGLO", name: "myGLO", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "MyLavash", name: "MyLavash", title: "sms-activate, smshub"},
			{value: "MyLove", name: "MyLove", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "MyMusicTaste", name: "MyMusicTaste", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Myntra", name: "Myntra", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "MyValue", name: "MyValue", title: "sms-activate, smshub, 365sms"},
			{value: "mzadqatar", name: "mzadqatar", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Namars", name: "Namars", title: "sms-activate, smshub, 365sms, onlinesim, vak-sms"},
			{value: "Nanovest", name: "Nanovest", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "NationalLottery", name: "NationalLottery", title: "onlinesim, vak-sms"},
			{value: "Naver", name: "Naver", title: "sms-activate, smshub, 5sim, getsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "NCsoft", name: "NCsoft", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "neftm", name: "neftm", title: "sms-activate, smshub"},
			{value: "Neocrypto", name: "Neocrypto", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Neon", name: "Neon", title: "sms-activate, smshub, 365sms"},
			{value: "NEQUI", name: "NEQUI", title: "sms-activate, smshub, 365sms"},
			{value: "NetBet", name: "NetBet", title: "smspva, onlinesim"},
			{value: "Netease", name: "Netease", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "Neteller", name: "Neteller", title: "sms-reg, smspva"},
			{value: "Netflix", name: "Netflix", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "NEXMO", name: "NEXMO", title: "sms-reg, onlinesim"},
			{value: "Next", name: "Next", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Nextdoor", name: "Nextdoor", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "Nice88", name: "Nice88", title: "sms-activate, smshub, 365sms"},
			{value: "Nifty", name: "Nifty", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Nike", name: "Nike", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "NimoTV", name: "NimoTV", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "nimses", name: "nimses", title: "5sim, onlinesim, sms-acktiwator"},
			{value: "Njuškalo", name: "Njuškalo", title: "sms-activate, smshub, 365sms"},
			{value: "nloto", name: "nloto", title: "sms-activate, smshub, 365sms, vak-sms"},
			{value: "NoBroker", name: "NoBroker", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "Noon", name: "Noon", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Notifire", name: "Notifire", title: "sms-activate, smshub, 365sms"},
			{value: "NovaPoshta", name: "NovaPoshta", title: "sms-activate, smshub, 365sms, sms-reg, sms-acktiwator"},
			{value: "NRJ Music Awards", name: "NRJ Music Awards", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "NTT Game", name: "NTT Game", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Nubank", name: "Nubank", title: "sms-activate, smshub, 365sms"},
			{value: "NutriClub", name: "NutriClub", title: "sms-activate, smshub, 365sms"},
			{value: "OfferUp", name: "OfferUp", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, vak-sms, give-sms"},
			{value: "OffGamers", name: "OffGamers", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "ogon.ru", name: "ogon.ru", title: "onlinesim, vak-sms"},
			{value: "Ok.ru", name: "Ok.ru", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "OkCupid", name: "OkCupid", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Okey", name: "Okey", title: "5sim, cheapsms, onlinesim, sms-acktiwator"},
			{value: "Okko", name: "Okko", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, onlinesim, give-sms"},
			{value: "Okolo", name: "Okolo", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "Okta", name: "Okta", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "OKX.com", name: "OKX.com", title: "5sim, sms-reg"},
			{value: "Olacabs", name: "Olacabs", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Oldubil", name: "Oldubil", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "Olimp.bet", name: "Olimp.bet", title: "sms-reg, onlinesim"},
			{value: "Ollis", name: "Ollis", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "OLX", name: "OLX", title: "sms-activate, smshub, 5sim, getsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "ONBUKA", name: "ONBUKA", title: "sms-activate, smshub, 365sms"},
			{value: "OneAset", name: "OneAset", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "OneForma", name: "OneForma", title: "sms-activate, smshub, 365sms"},
			{value: "Onet", name: "Onet", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Onliner.by", name: "Onliner.by", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "OnTaxi", name: "OnTaxi", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "OpenAI", name: "OpenAI", title: "sms-activate, smshub, 5sim, getsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "OpenPhone", name: "OpenPhone", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "OPPO", name: "OPPO", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "Oriflame", name: "Oriflame", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, onlinesim, give-sms"},
			{value: "Orteka", name: "Orteka", title: "sms-activate, smshub, 365sms"},
			{value: "OSTIN", name: "OSTIN", title: "onlinesim, vak-sms"},
			{value: "otipy", name: "otipy", title: "5sim, onlinesim"},
			{value: "Otzovik.com", name: "Otzovik.com", title: "sms-reg, onlinesim"},
			{value: "OVO", name: "OVO", title: "sms-activate, smshub, 365sms, sms-acktiwator, vak-sms, give-sms"},
			{value: "oyo", name: "oyo", title: "5sim, onlinesim"},
			{value: "Ozan", name: "Ozan", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "Ozan SuperApp", name: "Ozan SuperApp", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "OZON", name: "OZON", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Packeta", name: "Packeta", title: "sms-activate, smshub, 365sms"},
			{value: "PaddyPower", name: "PaddyPower", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "PagBank", name: "PagBank", title: "sms-activate, smshub, 365sms"},
			{value: "PagSmile", name: "PagSmile", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Pairs", name: "Pairs", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Pandao", name: "Pandao", title: "getsms, cheapsms, onlinesim"},
			{value: "Panvel", name: "Panvel", title: "sms-activate, smshub, 365sms"},
			{value: "PapaJohns", name: "PapaJohns", title: "smspva, onlinesim"},
			{value: "Papara", name: "Papara", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "Pari.ru", name: "Pari.ru", title: "sms-reg, smspva, onlinesim"},
			{value: "Parimatch", name: "Parimatch", title: "5sim, sms-reg, smspva, onlinesim, sms-acktiwator"},
			{value: "Parkplus", name: "Parkplus", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "PaxFuL", name: "PaxFuL", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, onlinesim, vak-sms, give-sms"},
			{value: "Payberry", name: "Payberry", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "Paybis", name: "Paybis", title: "sms-activate, smshub, 365sms"},
			{value: "Paycell", name: "Paycell", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-acktiwator, give-sms"},
			{value: "paymaya", name: "paymaya", title: "5sim, onlinesim"},
			{value: "Payoneer", name: "Payoneer", title: "sms-activate, smshub, 365sms, sms-reg, smspva, onlinesim"},
			{value: "PayPal", name: "PayPal", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, sms-acktiwator, vak-sms, give-sms"},
			{value: "Paysafecard", name: "Paysafecard", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, sms-acktiwator, vak-sms, give-sms"},
			{value: "PaySend", name: "PaySend", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, vak-sms, give-sms"},
			{value: "PayTM", name: "PayTM", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "Payzapp", name: "Payzapp", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Perekrestok", name: "Perekrestok", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "Perfluence", name: "Perfluence", title: "sms-activate, smshub, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "PetrI", name: "PetrI", title: "onlinesim, sms-acktiwator"},
			{value: "PGbonus", name: "PGbonus", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "phable", name: "phable", title: "5sim, onlinesim"},
			{value: "PharmEasy", name: "PharmEasy", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "PhoneCode", name: "PhoneCode", title: "onlinesim, sms-acktiwator"},
			{value: "Phound", name: "Phound", title: "sms-activate, smshub, 365sms"},
			{value: "Picpay", name: "Picpay", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "Pinduoduo", name: "Pinduoduo", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "PingCode", name: "PingCode", title: "sms-activate, smshub, 365sms"},
			{value: "PingPong", name: "PingPong", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smscode, give-sms"},
			{value: "Pivko24", name: "Pivko24", title: "sms-activate, smshub, 365sms, vak-sms, give-sms"},
			{value: "PizzaHut", name: "PizzaHut", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "PlayerAuctions", name: "PlayerAuctions", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Playerzpot", name: "Playerzpot", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "PlayOJO", name: "PlayOJO", title: "sms-activate, smshub, 365sms"},
			{value: "playship", name: "playship", title: "5sim, onlinesim"},
			{value: "PMSM", name: "PMSM", title: "onlinesim, sms-acktiwator"},
			{value: "pochta.ru", name: "pochta.ru", title: "sms-activate, smshub, cheapsms, 365sms, onlinesim, sms-acktiwator"},
			{value: "POCHTABANK", name: "POCHTABANK", title: "cheapsms, sms-reg, vak-sms"},
			{value: "Pocket52", name: "Pocket52", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "Pockit", name: "Pockit", title: "sms-activate, smshub, 365sms, vak-sms"},
			{value: "Podeli", name: "Podeli", title: "sms-activate, smshub, 365sms"},
			{value: "POF.com", name: "POF.com", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "PokerMaster", name: "PokerMaster", title: "5sim, onlinesim"},
			{value: "Porbet", name: "Porbet", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Poshmark", name: "Poshmark", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-acktiwator, give-sms"},
			{value: "PoshVine", name: "PoshVine", title: "sms-activate, smshub, 365sms"},
			{value: "Potato Chat", name: "Potato Chat", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "Powerkredite", name: "Powerkredite", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Prakerja", name: "Prakerja", title: "sms-activate, smshub, 365sms"},
			{value: "PREMIER", name: "PREMIER", title: "sms-reg, onlinesim"},
			{value: "Premium.one", name: "Premium.one", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "Prenagen Club", name: "Prenagen Club", title: "sms-activate, smshub, 365sms"},
			{value: "Primaries 2020", name: "Primaries 2020", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Prime Opinion", name: "Prime Opinion", title: "sms-activate, smshub, 365sms"},
			{value: "Privalia", name: "Privalia", title: "sms-activate, smshub, 365sms"},
			{value: "PrivetMir", name: "PrivetMir", title: "sms-activate, smshub, 365sms, vak-sms"},
			{value: "Privy", name: "Privy", title: "sms-activate, smshub, 365sms"},
			{value: "Probo", name: "Probo", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "ProDoctorov", name: "ProDoctorov", title: "onlinesim, sms-acktiwator"},
			{value: "Profee", name: "Profee", title: "sms-activate, smshub, 365sms"},
			{value: "Profi.ru", name: "Profi.ru", title: "sms-activate, smshub, 365sms, sms-reg, onlinesim, vak-sms"},
			{value: "Prom.ua", name: "Prom.ua", title: "sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "ProtonMail", name: "ProtonMail", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "PUBG", name: "PUBG", title: "5sim, onlinesim"},
			{value: "Publi24", name: "Publi24", title: "sms-activate, smshub, 365sms"},
			{value: "punjab citizen", name: "punjab citizen", title: "sms-activate, smshub, 365sms"},
			{value: "PurePlatfrom", name: "PurePlatfrom", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Pyro Music", name: "Pyro Music", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Q12 Trivia", name: "Q12 Trivia", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "QIP", name: "QIP", title: "onlinesim, sms-acktiwator"},
			{value: "Qiwi", name: "Qiwi", title: "smshub, 5sim, cheapsms, 365sms, smspva, sms-acktiwator, vak-sms, give-sms"},
			{value: "Qoo10", name: "Qoo10", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Qrooto", name: "Qrooto", title: "onlinesim, sms-acktiwator"},
			{value: "Quack", name: "Quack", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "quikr", name: "quikr", title: "5sim, sms-man"},
			{value: "Quipp", name: "Quipp", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Qunar", name: "Qunar", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "QwikCilver", name: "QwikCilver", title: "sms-activate, smshub, 365sms"},
			{value: "RabotnikiUA", name: "RabotnikiUA", title: "onlinesim, sms-acktiwator"},
			{value: "Radium", name: "Radium", title: "sms-activate, smshub, 365sms"},
			{value: "Raiffeisen", name: "Raiffeisen", title: "sms-reg, vak-sms"},
			{value: "Raketa", name: "Raketa", title: "smspva, onlinesim, sms-acktiwator"},
			{value: "Rambler", name: "Rambler", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "rapido", name: "rapido", title: "5sim, onlinesim"},
			{value: "Rappi", name: "Rappi", title: "sms-activate, smshub, 365sms"},
			{value: "Razer", name: "Razer", title: "sms-activate, smshub, 365sms"},
			{value: "Rbt", name: "Rbt", title: "sms-activate, smshub, 365sms"},
			{value: "Rebtel", name: "Rebtel", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "RecargaPay", name: "RecargaPay", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "RedBook", name: "RedBook", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "redbubble", name: "redbubble", title: "5sim, onlinesim"},
			{value: "redBus", name: "redBus", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Rediffmail", name: "Rediffmail", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "Redigame", name: "Redigame", title: "sms-activate, smshub, 365sms"},
			{value: "reg.ru", name: "reg.ru", title: "sms-activate, smshub, 365sms, sms-reg, onlinesim, vak-sms"},
			{value: "Remotasks", name: "Remotasks", title: "sms-activate, smshub, 365sms"},
			{value: "RESO", name: "RESO", title: "cheapsms, sms-reg, onlinesim"},
			{value: "Revolut", name: "Revolut", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "ROBINHOOD", name: "ROBINHOOD", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "RoboForex", name: "RoboForex", title: "sms-reg, onlinesim"},
			{value: "RockeTreach", name: "RockeTreach", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms"},
			{value: "roomster", name: "roomster", title: "sms-activate, smshub, 365sms, smspva"},
			{value: "Roposo", name: "Roposo", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "RosaKhutor", name: "RosaKhutor", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "rosbank", name: "rosbank", title: "onlinesim, vak-sms"},
			{value: "Rosneft", name: "Rosneft", title: "cheapsms, onlinesim, vak-sms"},
			{value: "Rostelecom", name: "Rostelecom", title: "sms-reg, onlinesim"},
			{value: "Royal Canin", name: "Royal Canin", title: "sms-activate, smshub, 365sms, smspva, onlinesim"},
			{value: "RoyalWin", name: "RoyalWin", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Rozetka", name: "Rozetka", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "RRSA", name: "RRSA", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Rummy", name: "Rummy", title: "5sim, onlinesim"},
			{value: "RummyCircle", name: "RummyCircle", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "RummyCulture", name: "RummyCulture", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "RummyGold", name: "RummyGold", title: "5sim, onlinesim"},
			{value: "RummyLoot", name: "RummyLoot", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "RummyModern", name: "RummyModern", title: "5sim, onlinesim"},
			{value: "RummyOla", name: "RummyOla", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "RummyTime", name: "RummyTime", title: "5sim, onlinesim"},
			{value: "RummyWealth", name: "RummyWealth", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Rush", name: "Rush", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "Ruten", name: "Ruten", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "RuTube", name: "RuTube", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "RUVDS", name: "RUVDS", title: "onlinesim, vak-sms"},
			{value: "Ryde", name: "Ryde", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Salampay", name: "Salampay", title: "cheapsms, sms-reg"},
			{value: "Samokat", name: "Samokat", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "SamsungShop", name: "SamsungShop", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Santander", name: "Santander", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "SberApteka", name: "SberApteka", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "SberMarket", name: "SberMarket", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, sms-acktiwator, vak-sms, give-sms"},
			{value: "SberMegaMarket", name: "SberMegaMarket", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, vak-sms, give-sms"},
			{value: "SBI Card", name: "SBI Card", title: "sms-activate, smshub, 365sms"},
			{value: "Schibsted", name: "Schibsted", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Seagm", name: "Seagm", title: "smspva, onlinesim, sms-acktiwator"},
			{value: "SEEDS", name: "SEEDS", title: "sms-activate, smshub, 365sms"},
			{value: "Segari", name: "Segari", title: "sms-activate, smshub, 365sms"},
			{value: "Selectel", name: "Selectel", title: "onlinesim, vak-sms"},
			{value: "Selfcontrol", name: "Selfcontrol", title: "sms-reg, onlinesim"},
			{value: "SellMonitor", name: "SellMonitor", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "sendinblue", name: "sendinblue", title: "5sim, onlinesim"},
			{value: "SEOsprint", name: "SEOsprint", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-reg, onlinesim, sms-acktiwator, give-sms"},
			{value: "Servify", name: "Servify", title: "sms-activate, smshub, 365sms"},
			{value: "Setel", name: "Setel", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "Seznam", name: "Seznam", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "Shafa", name: "Shafa", title: "onlinesim, sms-acktiwator"},
			{value: "ShareParty", name: "ShareParty", title: "sms-activate, smshub, 365sms"},
			{value: "SheerID", name: "SheerID", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Shein", name: "Shein", title: "sms-activate, smshub, 365sms"},
			{value: "ShellBox", name: "ShellBox", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Shopee", name: "Shopee", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Shpock", name: "Shpock", title: "sms-activate, smshub, 365sms, sms-reg, onlinesim"},
			{value: "Signal", name: "Signal", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, smspva, onlinesim, vak-sms, give-sms"},
			{value: "sikka", name: "sikka", title: "5sim, onlinesim"},
			{value: "Singcity", name: "Singcity", title: "sms-activate, smshub, 365sms"},
			{value: "Siply", name: "Siply", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Sipnet", name: "Sipnet", title: "onlinesim, sms-acktiwator"},
			{value: "Sisal", name: "Sisal", title: "smspva, onlinesim"},
			{value: "Sizeer", name: "Sizeer", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "SKCAPITAL", name: "SKCAPITAL", title: "sms-activate, smshub, 365sms"},
			{value: "Skout", name: "Skout", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Skrill", name: "Skrill", title: "smspva, onlinesim"},
			{value: "Skroutz", name: "Skroutz", title: "sms-activate, smshub, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Skype", name: "Skype", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "SkyTV", name: "SkyTV", title: "sms-activate, smshub, 365sms"},
			{value: "Smart", name: "Smart", title: "sms-activate, smshub, 365sms, onlinesim, sms-acktiwator"},
			{value: "Smartfren", name: "Smartfren", title: "sms-activate, smshub, 365sms"},
			{value: "SmartyPig", name: "SmartyPig", title: "sms-activate, smshub, 365sms"},
			{value: "Smiles", name: "Smiles", title: "sms-activate, smshub, 365sms"},
			{value: "SMO71", name: "SMO71", title: "sms-activate, smshub, 365sms"},
			{value: "Snapchat", name: "Snapchat", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "SnappFood", name: "SnappFood", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "SneakersnStuff", name: "SneakersnStuff", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "Socios", name: "Socios", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "SOKOLOV", name: "SOKOLOV", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms"},
			{value: "Sony", name: "Sony", title: "onlinesim, sms-acktiwator"},
			{value: "Sony LIV", name: "Sony LIV", title: "sms-activate, smshub, 365sms"},
			{value: "Sorare", name: "Sorare", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "SoulApp", name: "SoulApp", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "Spaces", name: "Spaces", title: "onlinesim, sms-acktiwator"},
			{value: "SpaceWeb", name: "SpaceWeb", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "SPAR", name: "SPAR", title: "5sim, onlinesim"},
			{value: "Spark Driver", name: "Spark Driver", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "SpatenOktoberfest", name: "SpatenOktoberfest", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "SportGully", name: "SportGully", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "SportMaster", name: "SportMaster", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "sportsbuzz11", name: "sportsbuzz11", title: "5sim, onlinesim"},
			{value: "SpotHit", name: "SpotHit", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Spotify", name: "Spotify", title: "sms-activate, smshub, 365sms, sms-reg"},
			{value: "Sprinthost", name: "Sprinthost", title: "onlinesim, sms-acktiwator"},
			{value: "Sravni.ru", name: "Sravni.ru", title: "sms-activate, smshub, 5sim, 365sms, sms-reg"},
			{value: "SSOid.net", name: "SSOid.net", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Starbucks", name: "Starbucks", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "Steam", name: "Steam", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "steemit", name: "steemit", title: "5sim, cheapsms, onlinesim, sms-acktiwator, vak-sms"},
			{value: "SticPay", name: "SticPay", title: "sms-activate, smshub, 365sms"},
			{value: "StockyDodo", name: "StockyDodo", title: "sms-activate, smshub, 365sms"},
			{value: "Stoloto", name: "Stoloto", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "Stormgain", name: "Stormgain", title: "sms-activate, smshub, 365sms, sms-reg, onlinesim, vak-sms, give-sms"},
			{value: "Strato", name: "Strato", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Stripe", name: "Stripe", title: "sms-activate, smshub, 365sms, vak-sms, give-sms"},
			{value: "Striving in the Lion City", name: "Striving in the Lion City", title: "sms-activate, smshub, 365sms"},
			{value: "Studwork", name: "Studwork", title: "onlinesim, sms-acktiwator"},
			{value: "Subito", name: "Subito", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "Sunlight", name: "Sunlight", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator"},
			{value: "Suntec", name: "Suntec", title: "sms-activate, smshub, 365sms"},
			{value: "SuperS", name: "SuperS", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Surveybell", name: "Surveybell", title: "sms-activate, smshub, 365sms"},
			{value: "Surveytime", name: "Surveytime", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Sushkof", name: "Sushkof", title: "onlinesim, vak-sms"},
			{value: "swagbucks", name: "swagbucks", title: "5sim, smspva, onlinesim"},
			{value: "SWEET.TV", name: "SWEET.TV", title: "onlinesim, sms-acktiwator"},
			{value: "Swiggy", name: "Swiggy", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Switips", name: "Switips", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Swvl", name: "Swvl", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "SynotTip", name: "SynotTip", title: "sms-activate, smshub"},
			{value: "tabor.ru", name: "tabor.ru", title: "onlinesim, sms-acktiwator"},
			{value: "Taikang", name: "Taikang", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Taki", name: "Taki", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Taksheel", name: "Taksheel", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "talabat", name: "talabat", title: "5sim, onlinesim"},
			{value: "TamTam", name: "TamTam", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Tango", name: "Tango", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms"},
			{value: "Tanoti", name: "Tanoti", title: "sms-activate, smshub, 365sms"},
			{value: "TanTan", name: "TanTan", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "Tanuki", name: "Tanuki", title: "onlinesim, vak-sms"},
			{value: "Taobao", name: "Taobao", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Taptap Send", name: "Taptap Send", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Tata CLiQ Palette", name: "Tata CLiQ Palette", title: "sms-activate, smshub, 365sms"},
			{value: "Tata Neu", name: "Tata Neu", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Tatneft", name: "Tatneft", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "Taxify", name: "Taxify", title: "onlinesim, sms-acktiwator"},
			{value: "TaxiMaxim", name: "TaxiMaxim", title: "smspva, onlinesim, sms-acktiwator, vak-sms"},
			{value: "TEAMORU", name: "TEAMORU", title: "sms-activate, smshub, 365sms"},
			{value: "TeenpattiRummy3", name: "TeenpattiRummy3", title: "5sim, onlinesim"},
			{value: "TeenPattiStarpro", name: "TeenPattiStarpro", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "Telegram", name: "Telegram", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, smscode, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Telegram 2.0", name: "Telegram 2.0", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Temu", name: "Temu", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Tencent QQ", name: "Tencent QQ", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "TenChat", name: "TenChat", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "teremok", name: "teremok", title: "5sim, onlinesim"},
			{value: "TheFork", name: "TheFork", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Things", name: "Things", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "This Fate", name: "This Fate", title: "sms-activate, smshub, 365sms"},
			{value: "Thisshop", name: "Thisshop", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Threads", name: "Threads", title: "sms-activate, smspva"},
			{value: "Tick", name: "Tick", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Ticketmaster", name: "Ticketmaster", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms"},
			{value: "Tier", name: "Tier", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "tiketcom", name: "tiketcom", title: "sms-activate, smshub, 365sms"},
			{value: "TikTok", name: "TikTok", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Tilda", name: "Tilda", title: "sms-reg, onlinesim, vak-sms"},
			{value: "Tinder", name: "Tinder", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Tinkoff", name: "Tinkoff", title: "cheapsms, vak-sms"},
			{value: "Tiptapp", name: "Tiptapp", title: "sms-activate, smshub, 365sms"},
			{value: "TipTip", name: "TipTip", title: "sms-activate, smshub, 365sms"},
			{value: "Tiv", name: "Tiv", title: "sms-activate, smshub, 365sms"},
			{value: "Tokopedia", name: "Tokopedia", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "TOL Online", name: "TOL Online", title: "onlinesim, sms-acktiwator"},
			{value: "Tomato", name: "Tomato", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "TopDetal", name: "TopDetal", title: "sms-activate, smshub, 365sms"},
			{value: "Tosla", name: "Tosla", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Touchance", name: "Touchance", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "TradeUP", name: "TradeUP", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "TradingView", name: "TradingView", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, onlinesim, vak-sms, give-sms"},
			{value: "Transfergo", name: "Transfergo", title: "sms-activate, smshub, 365sms, sms-reg"},
			{value: "Trembet", name: "Trembet", title: "sms-activate, smshub, 365sms"},
			{value: "Trendyol", name: "Trendyol", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Trip", name: "Trip", title: "sms-activate, smshub, 5sim, 365sms, sms-man, give-sms"},
			{value: "Trovo", name: "Trovo", title: "onlinesim, vak-sms"},
			{value: "Truecaller", name: "Truecaller", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms"},
			{value: "TRUTH SOCIAL", name: "TRUTH SOCIAL", title: "sms-activate, smshub, 365sms, vak-sms"},
			{value: "TurkiyePetrolleri", name: "TurkiyePetrolleri", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Tuul", name: "Tuul", title: "sms-activate, smshub, 365sms"},
			{value: "Twilio", name: "Twilio", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, give-sms"},
			{value: "Twitch", name: "Twitch", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Twitter", name: "Twitter", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "UangMe", name: "UangMe", title: "sms-activate, smshub, 365sms"},
			{value: "Uber", name: "Uber", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Ubisoft", name: "Ubisoft", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms"},
			{value: "Uklon", name: "Uklon", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, onlinesim, sms-acktiwator, give-sms"},
			{value: "Ukrnet", name: "Ukrnet", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, onlinesim, sms-acktiwator, give-sms"},
			{value: "ultra.io", name: "ultra.io", title: "onlinesim, vak-sms"},
			{value: "Ultragaz", name: "Ultragaz", title: "sms-activate, smshub, 365sms"},
			{value: "unacademy", name: "unacademy", title: "5sim, onlinesim"},
			{value: "Uplay", name: "Uplay", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Upwork", name: "Upwork", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator"},
			{value: "Uralairlines", name: "Uralairlines", title: "sms-activate, smshub, 365sms"},
			{value: "urent", name: "urent", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "Uteka", name: "Uteka", title: "sms-activate, smshub, cheapsms, 365sms, onlinesim, give-sms"},
			{value: "Utkonos", name: "Utkonos", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "UU163", name: "UU163", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "UWIN", name: "UWIN", title: "sms-activate, smshub, 365sms, sms-man, give-sms"},
			{value: "Uzum", name: "Uzum", title: "sms-activate, smshub, 365sms, onlinesim, sms-acktiwator"},
			{value: "Venmo", name: "Venmo", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "Venteny", name: "Venteny", title: "sms-activate, smshub, 365sms"},
			{value: "Vercel", name: "Vercel", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "VerifyKit", name: "VerifyKit", title: "sms-activate, smshub, 365sms"},
			{value: "Vernyi", name: "Vernyi", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Verse", name: "Verse", title: "sms-activate, smshub, 5sim, 365sms, smspva, give-sms"},
			{value: "vezet", name: "vezet", title: "5sim, onlinesim"},
			{value: "VFS GLOBAL", name: "VFS GLOBAL", title: "sms-activate, smshub, 365sms"},
			{value: "Viber", name: "Viber", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Vida", name: "Vida", title: "sms-activate, smshub, 365sms"},
			{value: "Vidio", name: "Vidio", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "VIMpay", name: "VIMpay", title: "sms-activate, smshub, 365sms"},
			{value: "Vinted", name: "Vinted", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "vipvending", name: "vipvending", title: "5sim, onlinesim"},
			{value: "Virgo", name: "Virgo", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "VitaExpress", name: "VitaExpress", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Vivo", name: "Vivo", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "VK", name: "VK", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Vkusvill", name: "Vkusvill", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, onlinesim, vak-sms, give-sms"},
			{value: "Vlife", name: "Vlife", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "VODOROBOT", name: "VODOROBOT", title: "onlinesim, vak-sms"},
			{value: "Voggt", name: "Voggt", title: "sms-activate, smshub, 365sms"},
			{value: "Voi", name: "Voi", title: "sms-activate, smshub, 365sms"},
			{value: "Voltz", name: "Voltz", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Vscale", name: "Vscale", title: "onlinesim, sms-acktiwator"},
			{value: "vscric", name: "vscric", title: "5sim, onlinesim"},
			{value: "Vsesmart", name: "Vsesmart", title: "sms-activate, smshub, 365sms, onlinesim, vak-sms"},
			{value: "Vulkan Vegas", name: "Vulkan Vegas", title: "sms-activate, smshub, 365sms"},
			{value: "Walmart", name: "Walmart", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator"},
			{value: "WashXpress", name: "WashXpress", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "WAUG", name: "WAUG", title: "sms-activate, smshub, 365sms"},
			{value: "Webbankir.com", name: "Webbankir.com", title: "sms-reg, onlinesim"},
			{value: "WEBDE", name: "WEBDE", title: "sms-activate, smshub, 365sms"},
			{value: "WebMoney", name: "WebMoney", title: "cheapsms, sms-reg, smspva, sms-acktiwator, vak-sms"},
			{value: "WEBULL", name: "WEBULL", title: "sms-activate, smshub, 365sms, sms-acktiwator"},
			{value: "WeChat", name: "WeChat", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Weex", name: "Weex", title: "sms-activate, smshub, 365sms"},
			{value: "Weibo", name: "Weibo", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Weidian", name: "Weidian", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "WestStein", name: "WestStein", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Weverse", name: "Weverse", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "WhatsApp", name: "WhatsApp", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, smscode, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "WhatsAround", name: "WhatsAround", title: "onlinesim, sms-acktiwator"},
			{value: "Whoosh", name: "Whoosh", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Wildberries", name: "Wildberries", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, sms-man, sms-reg, onlinesim, vak-sms, give-sms"},
			{value: "willhaben", name: "willhaben", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "WINDS", name: "WINDS", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "Winelab", name: "Winelab", title: "onlinesim, vak-sms"},
			{value: "Wing Money", name: "Wing Money", title: "sms-activate, smshub, 5sim, 365sms, smspva, give-sms"},
			{value: "Wink", name: "Wink", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Winline", name: "Winline", title: "sms-reg, onlinesim"},
			{value: "Winmasters", name: "Winmasters", title: "sms-activate, smshub, 365sms"},
			{value: "winston", name: "winston", title: "5sim, onlinesim"},
			{value: "Winter Loan", name: "Winter Loan", title: "sms-activate, smshub, 365sms"},
			{value: "winzo", name: "winzo", title: "5sim, sms-man, onlinesim"},
			{value: "WinzoGame", name: "WinzoGame", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Wise", name: "Wise", title: "sms-activate, smshub, 365sms, sms-reg, smspva, onlinesim, vak-sms, give-sms"},
			{value: "Wish", name: "Wish", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "wizely", name: "wizely", title: "5sim, onlinesim"},
			{value: "Wmaraci", name: "Wmaraci", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "WOG.ua", name: "WOG.ua", title: "onlinesim, sms-acktiwator"},
			{value: "Wolt", name: "Wolt", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Wondermart", name: "Wondermart", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "WooPlus", name: "WooPlus", title: "sms-activate, smshub, 365sms"},
			{value: "WorldRemit", name: "WorldRemit", title: "sms-activate, smshub, 365sms"},
			{value: "X5ID", name: "X5ID", title: "sms-activate, smshub, cheapsms, 365sms, sms-reg, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "XadrezFeliz", name: "XadrezFeliz", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Xbox", name: "Xbox", title: "sms-activate, smshub, 365sms"},
			{value: "Xiaomi", name: "Xiaomi", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "Ximalaya", name: "Ximalaya", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "xworldwallet", name: "xworldwallet", title: "sms-activate, smshub, 365sms"},
			{value: "XXGame", name: "XXGame", title: "sms-activate, smshub, 365sms"},
			{value: "Yaay", name: "Yaay", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "Yahoo", name: "Yahoo", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Yalla", name: "Yalla", title: "sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Yamaguchi", name: "Yamaguchi", title: "onlinesim, vak-sms"},
			{value: "Yami", name: "Yami", title: "sms-activate, smshub"},
			{value: "Yandex", name: "Yandex", title: "sms-activate, smshub, 5sim, getsms, cheapsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms"},
			{value: "Yandex.Eda", name: "Yandex.Eda", title: "onlinesim, sms-acktiwator"},
			{value: "YandexGo", name: "YandexGo", title: "sms-activate, smshub, cheapsms, 365sms, sms-acktiwator, give-sms"},
			{value: "yango", name: "yango", title: "5sim, onlinesim"},
			{value: "YAPPY", name: "YAPPY", title: "sms-activate, smshub, 5sim, getsms, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "Yemeksepeti", name: "Yemeksepeti", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "YikYak", name: "YikYak", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "Yonogames", name: "Yonogames", title: "sms-activate, smshub, 5sim, 365sms"},
			{value: "YooMoney", name: "YooMoney", title: "cheapsms, sms-reg, smspva, sms-acktiwator, vak-sms"},
			{value: "Yota", name: "Yota", title: "sms-reg, onlinesim"},
			{value: "YouDo", name: "YouDo", title: "sms-activate, smshub, 5sim, 365sms, sms-reg, onlinesim, sms-acktiwator, vak-sms"},
			{value: "YouGotaGift", name: "YouGotaGift", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "Youla", name: "Youla", title: "sms-activate, smshub, 5sim, getsms, 365sms, sms-reg, onlinesim, sms-acktiwator, give-sms"},
			{value: "YouStar", name: "YouStar", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "YoWin", name: "YoWin", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Ys4fun", name: "Ys4fun", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "Yubo", name: "Yubo", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, vak-sms, give-sms"},
			{value: "Zach Bryan", name: "Zach Bryan", title: "sms-activate, smshub, 365sms"},
			{value: "Zadarma", name: "Zadarma", title: "sms-reg, onlinesim, sms-acktiwator"},
			{value: "ZaleyCash", name: "ZaleyCash", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Zalo", name: "Zalo", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Zasilkovna", name: "Zasilkovna", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Zaymer", name: "Zaymer", title: "cheapsms, sms-reg, onlinesim"},
			{value: "ZCity", name: "ZCity", title: "sms-activate, smshub, 5sim, 365sms, sms-acktiwator, give-sms"},
			{value: "Zdorov", name: "Zdorov", title: "sms-activate, smshub"},
			{value: "ZdravCity", name: "ZdravCity", title: "sms-activate, smshub, cheapsms, 365sms, sms-man, sms-reg, onlinesim, sms-acktiwator, give-sms"},
			{value: "zebpay", name: "zebpay", title: "5sim, onlinesim"},
			{value: "zenly", name: "zenly", title: "onlinesim, sms-acktiwator"},
			{value: "Zenvia", name: "Zenvia", title: "sms-activate, smshub, 365sms"},
			{value: "Zepto", name: "Zepto", title: "sms-activate, smshub, 5sim, 365sms, onlinesim"},
			{value: "Zhihu", name: "Zhihu", title: "sms-activate, smshub, 365sms, vak-sms, give-sms"},
			{value: "Ziglu", name: "Ziglu", title: "sms-activate, smshub, 5sim, 365sms, give-sms"},
			{value: "Zilch", name: "Zilch", title: "sms-activate, smshub, 365sms, sms-acktiwator, give-sms"},
			{value: "Zoho", name: "Zoho", title: "sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms"},
			{value: "Zolushka", name: "Zolushka", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Zomato", name: "Zomato", title: "sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms"},
			{value: "Zoo Game", name: "Zoo Game", title: "sms-activate, smshub, 365sms"},
			{value: "ZOON.RU", name: "ZOON.RU", title: "onlinesim, vak-sms"},
			{value: "Zupee", name: "Zupee", title: "sms-activate, smshub, 5sim, 365sms, onlinesim, give-sms"},
			{value: "ZUS Coffee", name: "ZUS Coffee", title: "sms-activate, smshub, 365sms"},
			{value: "ZéDelivery", name: "ZéDelivery", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Şikayet var", name: "Şikayet var", title: "sms-activate, smshub, 365sms, sms-man, give-sms"},
			{value: "Автор24", name: "Автор24", title: "365sms, onlinesim"},
			{value: "Аптека Апрель", name: "Аптека Апрель", title: "sms-activate, smshub, 365sms"},
			{value: "Бери заряд", name: "Бери заряд", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "БлинБери", name: "БлинБери", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Велобайк", name: "Велобайк", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Вкусно и Точка", name: "Вкусно и Точка", title: "sms-activate, smshub, cheapsms, 365sms, onlinesim, vak-sms, give-sms"},
			{value: "ВсеИнструменты", name: "ВсеИнструменты", title: "sms-activate, smshub, 365sms, onlinesim, vak-sms"},
			{value: "Голос", name: "Голос", title: "sms-activate, smshub"},
			{value: "Город", name: "Город", title: "sms-activate, smshub, 365sms"},
			{value: "Джилекс", name: "Джилекс", title: "sms-activate, smshub, 365sms"},
			{value: "Домовой", name: "Домовой", title: "sms-activate, smshub, 365sms"},
			{value: "Едем.рф", name: "Едем.рф", title: "onlinesim, vak-sms"},
			{value: "Золотое Яблоко", name: "Золотое Яблоко", title: "sms-activate, smshub, 365sms, onlinesim, vak-sms"},
			{value: "Контур", name: "Контур", title: "sms-activate, smshub, 365sms"},
			{value: "Кораблик", name: "Кораблик", title: "sms-activate, smshub, 365sms"},
			{value: "Кузбасс Онлайн", name: "Кузбасс Онлайн", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "КухняНаРайоне", name: "КухняНаРайоне", title: "sms-activate, smshub, 365sms, onlinesim, give-sms"},
			{value: "Лейка", name: "Лейка", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Максавит", name: "Максавит", title: "sms-activate, smshub, 365sms"},
			{value: "МИГРАНТ СЕРВИС", name: "МИГРАНТ СЕРВИС", title: "sms-activate, smshub, 365sms"},
			{value: "МирЗнакомств", name: "МирЗнакомств", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Нефтьмагистраль", name: "Нефтьмагистраль", title: "365sms, onlinesim"},
			{value: "Окей", name: "Окей", title: "sms-activate, smshub, 365sms"},
			{value: "Петрович", name: "Петрович", title: "onlinesim, vak-sms"},
			{value: "Рив Гош", name: "Рив Гош", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "РСА", name: "РСА", title: "sms-activate, smshub, 5sim, cheapsms, 365sms, onlinesim, sms-acktiwator, give-sms"},
			{value: "СhampionСasino", name: "СhampionСasino", title: "sms-activate, smshub, 365sms, give-sms"},
			{value: "Совкомбанк", name: "Совкомбанк", title: "cheapsms, vak-sms"},
			{value: "СушиВёсла", name: "СушиВёсла", title: "sms-activate, smshub, 365sms"},
			{value: "ТОКИО-CITY", name: "ТОКИО-CITY", title: "sms-activate, smshub, 365sms"},
			{value: "Улыбка радуги", name: "Улыбка радуги", title: "365sms, onlinesim, vak-sms"},
			{value: "УлыбкаРадуги", name: "УлыбкаРадуги", title: "sms-activate, smshub"},
			{value: "Халва", name: "Халва", title: "sms-activate, smshub, 365sms"},
			{value: "Шоколадница", name: "Шоколадница", title: "sms-activate, smshub, 365sms, onlinesim, vak-sms"},
			{value: "Штолле", name: "Штолле", title: "sms-activate, smshub, 365sms, onlinesim"},
			{value: "Энергобум", name: "Энергобум", title: "sms-activate, smshub, 365sms"},
			{value: "ЯRUS", name: "ЯRUS", title: "onlinesim, vak-sms"},
			{value: "炙热星河", name: "炙热星河", title: "sms-activate, smshub, 365sms, give-sms"}
		]
	}) %>
	<%= _.template($('#input_constructor').html())({
		id: "country",
		description: tr("Country"),
		default_selector: "string",
		disable_int: true,
		value_string: "RU",
		variants: [
			"RU<br/><span style='color:gray' title='sms-activate, smshub, 5sim, getsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Russian Federation") + "</span>",
			"KZ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, getsms, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Kazakhstan") + "</span>",
			"UA<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Ukraine") + "</span>",
			"PL<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Poland") + "</span>",
			"GB<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("United Kingdom") + "</span>",
			"EE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Estonia") + "</span>",
			"DE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Germany") + "</span>",
			"LT<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Lithuania") + "</span>",
			"SE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Sweden") + "</span>",
			"NL<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Netherlands") + "</span>",
			"LV<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Latvia") + "</span>",
			"AT<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Austria") + "</span>",
			"CZ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Czech Republic") + "</span>",
			"FR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("France") + "</span>",
			"MD<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Moldova") + "</span>",
			"PT<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Portugal") + "</span>",
			"GR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Greece") + "</span>",
			"PH<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Philippines") + "</span>",
			"ID<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Indonesia") + "</span>",
			"MY<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Malaysia") + "</span>",
			"KE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Kenya") + "</span>",
			"LA<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Lao People's Democratic Republic") + "</span>",
			"RO<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Romania") + "</span>",
			"MA<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Morocco") + "</span>",
			"TH<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Thailand") + "</span>",
			"ES<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Spain") + "</span>",
			"SI<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, smspva, onlinesim, sms-acktiwator, give-sms'>" + tr("Slovenia") + "</span>",
			"FI<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Finland") + "</span>",
			"US<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("United States") + "</span>",
			"US (Virtual)<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-acktiwator, give-sms'>" + tr("United States") + "</span>",
			"VN<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, vak-sms, give-sms'>" + tr("Vietnam") + "</span>",
			"KG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Kyrgyzstan") + "</span>",
			"IL<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms'>" + tr("Israel") + "</span>",
			"NG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms'>" + tr("Nigeria") + "</span>",
			"RS<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms'>" + tr("Serbia") + "</span>",
			"ZA<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms'>" + tr("South Africa") + "</span>",
			"CO<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms'>" + tr("Colombia") + "</span>",
			"MX<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, vak-sms, give-sms'>" + tr("Mexico") + "</span>",
			"BR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms'>" + tr("Brazil") + "</span>",
			"CY<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms'>" + tr("Cyprus") + "</span>",
			"BG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, vak-sms, give-sms'>" + tr("Bulgaria") + "</span>",
			"GE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Georgia") + "</span>",
			"CL<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, sms-acktiwator, give-sms'>" + tr("Chile") + "</span>",
			"DK<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, smspva, onlinesim, sms-acktiwator, vak-sms, give-sms'>" + tr("Denmark") + "</span>",
			"CN<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-reg, onlinesim, give-sms'>" + tr("China") + "</span>",
			"MM<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Myanmar") + "</span>",
			"HK<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, vak-sms, give-sms'>" + tr("Hong Kong") + "</span>",
			"IN<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms'>" + tr("India") + "</span>",
			"IE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms'>" + tr("Ireland") + "</span>",
			"KH<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms'>" + tr("Cambodia") + "</span>",
			"CI<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Cote d'Ivoire") + "</span>",
			"CA<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, sms-acktiwator, give-sms'>" + tr("Canada") + "</span>",
			"CA (Virtual)<br/><span style='color:gray' title='onlinesim'>" + tr("Canada") + "</span>",
			"AR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms'>" + tr("Argentina") + "</span>",
			"UZ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Uzbekistan") + "</span>",
			"CM<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Cameroon") + "</span>",
			"TD<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Chad") + "</span>",
			"HR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms'>" + tr("Croatia") + "</span>",
			"BY<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Belarus") + "</span>",
			"TR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms'>" + tr("Turkey") + "</span>",
			"PK<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, vak-sms, give-sms'>" + tr("Pakistan") + "</span>",
			"PK (Virtual)<br/><span style='color:gray' title='smspva'>" + tr("Pakistan") + "</span>",
			"NZ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms'>" + tr("New Zealand") + "</span>",
			"GN<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Guinea") + "</span>",
			"UG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Uganda") + "</span>",
			"IT<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms'>" + tr("Italy") + "</span>",
			"HN<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Honduras") + "</span>",
			"SV<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("El Salvador") + "</span>",
			"DO<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim, give-sms'>" + tr("Dominican Republic") + "</span>",
			"MR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Mauritania") + "</span>",
			"BJ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Benin") + "</span>",
			"BF<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Burkina Faso") + "</span>",
			"EG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Egypt") + "</span>",
			"EG (Virtual)<br/><span style='color:gray' title='smspva'>" + tr("Egypt") + "</span>",
			"HT<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Haiti") + "</span>",
			"GM<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Gambia") + "</span>",
			"YE<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Yemen") + "</span>",
			"GH<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Ghana") + "</span>",
			"GH (Virtual)<br/><span style='color:gray' title='smspva'>" + tr("Ghana") + "</span>",
			"IQ<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man, smspva, onlinesim, give-sms'>" + tr("Iraq") + "</span>",
			"SA<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Saudi Arabia") + "</span>",
			"TW<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Taiwan, Province of China") + "</span>",
			"BD<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, give-sms'>" + tr("Bangladesh") + "</span>",
			"SN<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Senegal") + "</span>",
			"LK<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Sri Lanka") + "</span>",
			"PE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Peru") + "</span>",
			"ML<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man, onlinesim, sms-acktiwator, give-sms'>" + tr("Mali") + "</span>",
			"VE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Venezuela") + "</span>",
			"MN<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Mongolia") + "</span>",
			"AF<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Afghanistan") + "</span>",
			"AO<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Angola") + "</span>",
			"MZ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-acktiwator, give-sms'>" + tr("Mozambique") + "</span>",
			"NP<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Nepal") + "</span>",
			"HU<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, give-sms'>" + tr("Hungary") + "</span>",
			"PY<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, give-sms'>" + tr("Paraguay") + "</span>",
			"TN<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Tunisia") + "</span>",
			"NI<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Nicaragua") + "</span>",
			"BO<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Bolivia, plurinational state of") + "</span>",
			"TG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator'>" + tr("Togo") + "</span>",
			"EC<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Ecuador") + "</span>",
			"BA<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, sms-acktiwator'>" + tr("Bosnia and Herzegovina") + "</span>",
			"SL<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Sierra Leone") + "</span>",
			"JO<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Jordan") + "</span>",
			"BI<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, sms-acktiwator'>" + tr("Burundi") + "</span>",
			"BW<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-acktiwator, give-sms'>" + tr("Botswana") + "</span>",
			"LR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Liberia") + "</span>",
			"SK<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, sms-acktiwator'>" + tr("Slovakia") + "</span>",
			"TJ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Tajikistan") + "</span>",
			"CG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Congo") + "</span>",
			"GA<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim, give-sms'>" + tr("Gabon") + "</span>",
			"NO<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, sms-acktiwator, give-sms'>" + tr("Norway") + "</span>",
			"MK<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva, onlinesim'>" + tr("Macedonia, The Former Yugoslav Republic Of") + "</span>",
			"TZ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Tanzania, United Republic Of") + "</span>",
			"DZ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Algeria") + "</span>",
			"ET<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim'>" + tr("Ethiopia") + "</span>",
			"PG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Papua New Guinea") + "</span>",
			"BE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim'>" + tr("Belgium") + "</span>",
			"GT<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Guatemala") + "</span>",
			"ZW<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Zimbabwe") + "</span>",
			"JM<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Jamaica") + "</span>",
			"TT<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Trinidad and Tobago") + "</span>",
			"PA<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim'>" + tr("Panama") + "</span>",
			"GW<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim'>" + tr("Guinea-Bissau") + "</span>",
			"GY<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Guyana") + "</span>",
			"MW<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim'>" + tr("Malawi") + "</span>",
			"SR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Suriname") + "</span>",
			"RE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Reunion") + "</span>",
			"ZM<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim'>" + tr("Zambia") + "</span>",
			"AM<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Armenia") + "</span>",
			"AL<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, smspva'>" + tr("Albania") + "</span>",
			"MU<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Mauritius") + "</span>",
			"BT<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Bhutan") + "</span>",
			"MV<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Maldives") + "</span>",
			"TM<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, give-sms'>" + tr("Turkmenistan") + "</span>",
			"CH<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim'>" + tr("Switzerland") + "</span>",
			"AU<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim'>" + tr("Australia") + "</span>",
			"SG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man, onlinesim'>" + tr("Singapore") + "</span>",
			"MG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Madagascar") + "</span>",
			"CD<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man, give-sms'>" + tr("Congo, Democratic Republic of the") + "</span>",
			"MO<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Macao") + "</span>",
			"AZ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, sms-man, onlinesim'>" + tr("Azerbaijan") + "</span>",
			"IR<br/><span style='color:gray' title='sms-activate, smshub, sms-man, onlinesim, give-sms'>" + tr("Iran, Islamic Republic of") + "</span>",
			"TL<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Timor-Leste") + "</span>",
			"CR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Costa Rica") + "</span>",
			"AE<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man, give-sms'>" + tr("United Arab Emirates") + "</span>",
			"PR<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Puerto Rico") + "</span>",
			"SD<br/><span style='color:gray' title='sms-activate, smshub, sms-man, onlinesim, give-sms'>" + tr("Sudan") + "</span>",
			"KW<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Kuwait") + "</span>",
			"LY<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man, give-sms'>" + tr("Libyan Arab Jamahiriya") + "</span>",
			"SZ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Eswatini") + "</span>",
			"OM<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Oman") + "</span>",
			"BB<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Barbados") + "</span>",
			"BS<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Bahamas") + "</span>",
			"BZ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Belize") + "</span>",
			"DM<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, give-sms'>" + tr("Dominica") + "</span>",
			"GD<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Grenada") + "</span>",
			"KM<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Comoros") + "</span>",
			"KN<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Saint Kitts and Nevis") + "</span>",
			"LS<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Lesotho") + "</span>",
			"NA<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Namibia") + "</span>",
			"NE<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Niger") + "</span>",
			"RW<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Rwanda") + "</span>",
			"BH<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Bahrain") + "</span>",
			"LB<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man, give-sms'>" + tr("Lebanon") + "</span>",
			"UY<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Uruguay") + "</span>",
			"GP<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Guadeloupe") + "</span>",
			"GF<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("French Guiana") + "</span>",
			"LC<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Saint Lucia") + "</span>",
			"LU<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Luxembourg") + "</span>",
			"VC<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Saint Vincent and the Grenadines") + "</span>",
			"GQ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Equatorial Guinea") + "</span>",
			"AG<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Antigua and Barbuda") + "</span>",
			"AW<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, give-sms'>" + tr("Aruba") + "</span>",
			"NC<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("New Caledonia") + "</span>",
			"CV<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms, sms-man'>" + tr("Cape Verde") + "</span>",
			"SY<br/><span style='color:gray' title='sms-activate, smshub, sms-man, give-sms'>" + tr("Syrian Arab Republic") + "</span>",
			"QA<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man'>" + tr("Qatar") + "</span>",
			"CU<br/><span style='color:gray' title='sms-activate, smshub, sms-man, sms-acktiwator'>" + tr("Cuba") + "</span>",
			"BN<br/><span style='color:gray' title='sms-activate, smshub, 365sms, give-sms'>" + tr("Brunei Darussalam") + "</span>",
			"CF<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man'>" + tr("Central African Republic") + "</span>",
			"IS<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man'>" + tr("Iceland") + "</span>",
			"SO<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man'>" + tr("Somalia") + "</span>",
			"DJ<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms'>" + tr("Djibouti") + "</span>",
			"KY<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms'>" + tr("Cayman Islands") + "</span>",
			"ME<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms'>" + tr("Montenegro") + "</span>",
			"ER<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms'>" + tr("Eritrea") + "</span>",
			"SS<br/><span style='color:gray' title='sms-activate, smshub, 365sms, sms-man'>" + tr("South Sudan") + "</span>",
			"ST<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms'>" + tr("Sao Tome and Principe") + "</span>",
			"MS<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms'>" + tr("Montserrat") + "</span>",
			"AI<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms'>" + tr("Anguilla") + "</span>",
			"SC<br/><span style='color:gray' title='sms-activate, smshub, 5sim, 365sms'>" + tr("Seychelles") + "</span>",
			"FJ<br/><span style='color:gray' title='sms-activate, smshub, 365sms, give-sms'>" + tr("Fiji") + "</span>",
			"MC<br/><span style='color:gray' title='sms-activate, smshub, 365sms'>" + tr("Monaco") + "</span>",
			"GI<br/><span style='color:gray' title='sms-activate, smshub, smspva'>" + tr("Gibraltar") + "</span>",
			"JP<br/><span style='color:gray' title='5sim, sms-man'>" + tr("Japan") + "</span>",
			"KR<br/><span style='color:gray' title='5sim, give-sms'>" + tr("Korea, Republic of") + "</span>",
			"WS<br/><span style='color:gray' title='5sim'>" + tr("Samoa") + "</span>",
			"SB<br/><span style='color:gray' title='5sim'>" + tr("Solomon Islands") + "</span>",
			"TO<br/><span style='color:gray' title='5sim'>" + tr("Tonga") + "</span>",
			"TC<br/><span style='color:gray' title='5sim'>" + tr("Turks and Caicos Islands") + "</span>",
			"VG<br/><span style='color:gray' title='5sim'>" + tr("Virgin Islands, British") + "</span>",
			"XK<br/><span style='color:gray' title='smspva'>" + tr("Kosovo") + "</span>",
			"BM<br/><span style='color:gray' title='give-sms'>" + tr("Bermuda") + "</span>"
		],
		help: {
			description: tr("Optional parameter.") + " " + tr("Country of the number."),
			examples: [
				{code: "RU", description: tr("Russian Federation")},
				{code: "UA", description: tr("Ukraine")},
				{code: "US", description: tr("United States")},
				{code: tr("Empty string"), description: tr("Depends on the service used, maybe the last used country or some specific country, you can find out more in the description of the API of the service.")}
			]
		}
	}) %>
	<%= _.template($('#block_start').html())({id:"Additional", name: tr("Additional settings"), description: ""}) %>
		<%= _.template($('#input_constructor').html())({
			id: "operator",
			description: tr("Operator"),
			default_selector: "string",
			disable_int: true,
			value_string: "",
			help: {
				description: tr("Optional parameter.") + " " + tr("Cellular operator of the number, in the form in which it is perceived by the SMS receiving service.") + " " + tr("This parameter is not available for all services."),
				examples: [
					{code: "megafon", description: tr("MegaFon")},
					{code: "kyivstar", description: tr("Kyivstar")},
					{code: "tele2", description: "Tele2"},
					{code: tr("Empty string"), description: tr("Use any operator.")}
				]
			}
		}) %>
		<%= _.template($('#input_constructor').html())({
			id: "maxPrice",
			description: tr("Maximum price"),
			default_selector: "int",
			disable_string: true,
			value_number: "",
			help: {
				description: tr("Optional parameter.") + " " + tr("The maximum price for which you are willing to buy a number.") + " " + tr("This parameter is not available for all services."),
				examples: [
					{code: "10"},
					{code: "15"},
					{code: "20"},
					{code: tr("Empty string"), description: tr("Buy at regular price.")}
				]
			}
		}) %>
		<%= _.template($('#input_constructor').html())({
			id: "customSite",
			description: tr("Custom site"),
			default_selector: "string",
			disable_int: true,
			value_string: "",
			help: {
				description: tr("Optional parameter.") + " " + tr("Custom value of the site, in the form in which it is perceived by the SMS receiving service. If this parameter is specified, then it will be used instead of the \"Site\" parameter and sent to the service without preliminary processing."),
				examples: [
					{code: "wa", description: "WhatsApp"},
					{code: "tg", description: "Telegram"},
					{code: "go", description: "Google"},
					{code: tr("Empty string"), description: tr("Use value from \"") + tr("Site") + tr("\" parameter.")}
				]
			}
		}) %>
		<%= _.template($('#input_constructor').html())({
			id: "customCountry",
			description: tr("Custom country"),
			default_selector: "string",
			disable_int: true,
			value_string: "",
			help: {
				description: tr("Optional parameter.") + " " + tr("Custom value of the country, in the form in which it is perceived by the SMS receiving service. If this parameter is specified, then it will be used instead of the \"Country\" parameter and sent to the service without preliminary processing."),
				examples: [
					{code: "0", description: tr("Russian Federation")},
					{code: "1", description: tr("Ukraine")},
					{code: "187", description: tr("United States")},
					{code: tr("Empty string"), description: tr("Use value from \"") + tr("Country") + tr("\" parameter.")}
				]
			}
		}) %>
		<%= _.template($('#input_constructor').html())({
			id: "serverUrl",
			description: tr("Server url"),
			default_selector: "string",
			disable_int: true,
			value_string: "",
			help: {
				description: tr("Optional parameter.") + " " + tr("Url of the SMS receiving service server. Use this parameter to specify the url of the server, if the required service is not in the list of available ones, but it works through an API similar to the selected service."),
				examples: [
					{code: "https://sms.org"},
					{code: "http://receive-sms.com"},
					{code: "http://127.0.0.1:8888"},
					{code: tr("Empty string"), description: tr("Use default server url, https://api.sms-activate.org for sms-activate.org, etc")}
				]
			}
		}) %>
	<%= _.template($('#block_end').html())() %>
	<%= _.template($('#variable_constructor').html())({
		id: "Save",
		description: tr("Variable to save the result"),
		default_variable: "PHONE_NUMBER",
		help: {
			description:tr("Variable in which, after successful execution of the action, the phone number will be written."),
			examples: [
				{code: "79001112323"},
				{code: "17039688838"},
				{code: "380048698566"}
			]
		}
	}) %>
</div>
<div class="tooltipinternal">
	<div class="tr tooltip-paragraph-first-fold">Get phone number from the SMS receiving service.</div>
	<div class="tr tooltip-paragraph-fold">This action will return a string containing the received phone number.</div>
	<div class="tooltip-paragraph-fold"><span class="tr">Example</span>: <code>"79001112323"</code></div>
	<div class="tr tooltip-paragraph-fold">The received number must be used in the "Get activation code" action to get the code from SMS, or in the "Change activation status" action to change the number status.</div>
	<div class="tr tooltip-paragraph-fold">You can specify your value for the operator, site and country in the corresponding parameters located in the additional settings. Please note that these values must be specified in the form in which the service perceives them, they will be sent as you specified them.</div>
	<div class="tr tooltip-paragraph-fold">If the required service is not in the list of available ones, but it works through an API similar to the selected service, then you can specify its server url in the corresponding parameter located in the additional settings.</div>
	<div class="tr tooltip-paragraph-last-fold">If an error occurred while execute action, the thread will stop with fail message. If you want to continue thread, use "Ignore errors" action.</div>
</div>
<%= _.template($('#back').html())({action:"executeandadd", use_timeout:true, visible:true}) %>